require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_ASM_IA64_CACHEFLUSH_H)) {
    eval 'sub _ASM_IA64_CACHEFLUSH_H () {1;}' unless defined(&_ASM_IA64_CACHEFLUSH_H);
    require 'linux/page-flags.ph';
    require 'asm/bitops.ph';
    require 'asm/page.ph';
    eval 'sub flush_cache_all () {
        eval q( &do { }  &while (0));
    }' unless defined(&flush_cache_all);
    eval 'sub flush_cache_mm {
        local($mm) = @_;
	    eval q( &do { }  &while (0));
    }' unless defined(&flush_cache_mm);
    eval 'sub flush_cache_range {
        local($vma, $start, $end) = @_;
	    eval q( &do { }  &while (0));
    }' unless defined(&flush_cache_range);
    eval 'sub flush_cache_page {
        local($vma, $vmaddr) = @_;
	    eval q( &do { }  &while (0));
    }' unless defined(&flush_cache_page);
    eval 'sub flush_icache_page {
        local($vma,$page) = @_;
	    eval q( &do { }  &while (0));
    }' unless defined(&flush_icache_page);
    eval 'sub flush_cache_vmap {
        local($start, $end) = @_;
	    eval q( &do { }  &while (0));
    }' unless defined(&flush_cache_vmap);
    eval 'sub flush_cache_vunmap {
        local($start, $end) = @_;
	    eval q( &do { }  &while (0));
    }' unless defined(&flush_cache_vunmap);
    eval 'sub flush_dcache_page {
        local($page) = @_;
	    eval q( &do {  &clear_bit( &PG_arch_1, ($page)-> &flags); }  &while (0));
    }' unless defined(&flush_dcache_page);
    eval 'sub flush_dcache_mmap_lock {
        local($mapping) = @_;
	    eval q( &do { }  &while (0));
    }' unless defined(&flush_dcache_mmap_lock);
    eval 'sub flush_dcache_mmap_unlock {
        local($mapping) = @_;
	    eval q( &do { }  &while (0));
    }' unless defined(&flush_dcache_mmap_unlock);
    eval 'sub flush_icache_user_range {
        local($vma, $page, $user_addr, $len) = @_;
	    eval q( &do { \'unsigned long _addr\' =  &page_address($page) + (($user_addr) & ~ &PAGE_MASK);  &flush_icache_range( &_addr,  &_addr + ($len)); }  &while (0));
    }' unless defined(&flush_icache_user_range);
    eval 'sub copy_to_user_page {
        local($vma, $page, $vaddr, $dst, $src, $len) = @_;
	    eval q( &do {  &memcpy($dst, $src, $len);  &flush_icache_user_range($vma, $page, $vaddr, $len); }  &while (0));
    }' unless defined(&copy_to_user_page);
    eval 'sub copy_from_user_page {
        local($vma, $page, $vaddr, $dst, $src, $len) = @_;
	    eval q( &memcpy($dst, $src, $len));
    }' unless defined(&copy_from_user_page);
}
1;
