require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&__ASM_IA64_IOSAPIC_H)) {
    eval 'sub __ASM_IA64_IOSAPIC_H () {1;}' unless defined(&__ASM_IA64_IOSAPIC_H);
    eval 'sub IOSAPIC_REG_SELECT () {0x;}' unless defined(&IOSAPIC_REG_SELECT);
    eval 'sub IOSAPIC_WINDOW () {0x10;}' unless defined(&IOSAPIC_WINDOW);
    eval 'sub IOSAPIC_EOI () {0x40;}' unless defined(&IOSAPIC_EOI);
    eval 'sub IOSAPIC_VERSION () {0x1;}' unless defined(&IOSAPIC_VERSION);
    eval 'sub IOSAPIC_RTE_LOW {
        local($i) = @_;
	    eval q((0x10+$i*2));
    }' unless defined(&IOSAPIC_RTE_LOW);
    eval 'sub IOSAPIC_RTE_HIGH {
        local($i) = @_;
	    eval q((0x11+$i*2));
    }' unless defined(&IOSAPIC_RTE_HIGH);
    eval 'sub IOSAPIC_DEST_SHIFT () {16;}' unless defined(&IOSAPIC_DEST_SHIFT);
    eval 'sub IOSAPIC_DELIVERY_SHIFT () {8;}' unless defined(&IOSAPIC_DELIVERY_SHIFT);
    eval 'sub IOSAPIC_FIXED () {0x;}' unless defined(&IOSAPIC_FIXED);
    eval 'sub IOSAPIC_LOWEST_PRIORITY () {0x1;}' unless defined(&IOSAPIC_LOWEST_PRIORITY);
    eval 'sub IOSAPIC_PMI () {0x2;}' unless defined(&IOSAPIC_PMI);
    eval 'sub IOSAPIC_NMI () {0x4;}' unless defined(&IOSAPIC_NMI);
    eval 'sub IOSAPIC_INIT () {0x5;}' unless defined(&IOSAPIC_INIT);
    eval 'sub IOSAPIC_EXTINT () {0x7;}' unless defined(&IOSAPIC_EXTINT);
    eval 'sub IOSAPIC_POLARITY_SHIFT () {13;}' unless defined(&IOSAPIC_POLARITY_SHIFT);
    eval 'sub IOSAPIC_POL_HIGH () {0;}' unless defined(&IOSAPIC_POL_HIGH);
    eval 'sub IOSAPIC_POL_LOW () {1;}' unless defined(&IOSAPIC_POL_LOW);
    eval 'sub IOSAPIC_TRIGGER_SHIFT () {15;}' unless defined(&IOSAPIC_TRIGGER_SHIFT);
    eval 'sub IOSAPIC_EDGE () {0;}' unless defined(&IOSAPIC_EDGE);
    eval 'sub IOSAPIC_LEVEL () {1;}' unless defined(&IOSAPIC_LEVEL);
    eval 'sub IOSAPIC_MASK_SHIFT () {16;}' unless defined(&IOSAPIC_MASK_SHIFT);
    eval 'sub IOSAPIC_MASK () {(1<< &IOSAPIC_MASK_SHIFT);}' unless defined(&IOSAPIC_MASK);
    unless(defined(&__ASSEMBLY__)) {
	if(defined(&CONFIG_IOSAPIC)) {
	    eval 'sub NR_IOSAPICS () {256;}' unless defined(&NR_IOSAPICS);
	    eval 'sub iosapic_read {
	        local($iosapic,$reg) = @_;
    		eval q({  &writel($reg, $iosapic +  &IOSAPIC_REG_SELECT);  &readl($iosapic +  &IOSAPIC_WINDOW); });
	    }' unless defined(&iosapic_read);
	    eval 'sub iosapic_write {
	        local($iosapic,$reg,$val) = @_;
    		eval q({  &writel($reg, $iosapic +  &IOSAPIC_REG_SELECT);  &writel($val, $iosapic +  &IOSAPIC_WINDOW); });
	    }' unless defined(&iosapic_write);
	    eval 'sub iosapic_eoi {
	        local($iosapic,$vector) = @_;
    		eval q({  &writel($vector, $iosapic +  &IOSAPIC_EOI); });
	    }' unless defined(&iosapic_eoi);
	} else {
	    eval 'sub iosapic_system_init {
	        local($pcat_compat) = @_;
    		eval q( &do { }  &while (0));
	    }' unless defined(&iosapic_system_init);
	    eval 'sub iosapic_init {
	        local($address,$gsi_base) = @_;
    		eval q( &do { }  &while (0));
	    }' unless defined(&iosapic_init);
	    eval 'sub iosapic_register_intr {
	        local($gsi,$polarity,$trigger) = @_;
    		eval q(($gsi));
	    }' unless defined(&iosapic_register_intr);
	    eval 'sub iosapic_override_isa_irq {
	        local($isa_irq,$gsi,$polarity,$trigger) = @_;
    		eval q( &do { }  &while (0));
	    }' unless defined(&iosapic_override_isa_irq);
	    eval 'sub iosapic_register_platform_intr {
	        local($type,$gsi,$pmi,$eid,$id, 	$polarity,$trigger) = @_;
    		eval q(($gsi));
	    }' unless defined(&iosapic_register_platform_intr);
	}
    }
}
1;
