require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_ASM_IA64_LOCAL_H)) {
    eval 'sub _ASM_IA64_LOCAL_H () {1;}' unless defined(&_ASM_IA64_LOCAL_H);
    require 'linux/percpu.ph';
    eval 'sub LOCAL_INIT {
        local($i) = @_;
	    eval q((( &local_t) { { ($i) } }));
    }' unless defined(&LOCAL_INIT);
    eval 'sub local_read {
        local($l) = @_;
	    eval q( &atomic64_read(($l)-> &val));
    }' unless defined(&local_read);
    eval 'sub local_set {
        local($l, $i) = @_;
	    eval q( &atomic64_set(($l)-> &val, $i));
    }' unless defined(&local_set);
    eval 'sub local_inc {
        local($l) = @_;
	    eval q( &atomic64_inc(($l)-> &val));
    }' unless defined(&local_inc);
    eval 'sub local_dec {
        local($l) = @_;
	    eval q( &atomic64_dec(($l)-> &val));
    }' unless defined(&local_dec);
    eval 'sub local_add {
        local($l) = @_;
	    eval q( &atomic64_add(($l)-> &val));
    }' unless defined(&local_add);
    eval 'sub local_sub {
        local($l) = @_;
	    eval q( &atomic64_sub(($l)-> &val));
    }' unless defined(&local_sub);
    eval 'sub __local_inc {
        local($l) = @_;
	    eval q((++($l)-> ($val->{counter})));
    }' unless defined(&__local_inc);
    eval 'sub __local_dec {
        local($l) = @_;
	    eval q((--($l)-> ($val->{counter})));
    }' unless defined(&__local_dec);
    eval 'sub __local_add {
        local($i,$l) = @_;
	    eval q((($l)-> ($val->{counter}) += ($i)));
    }' unless defined(&__local_add);
    eval 'sub __local_sub {
        local($i,$l) = @_;
	    eval q((($l)-> ($val->{counter}) -= ($i)));
    }' unless defined(&__local_sub);
    eval 'sub cpu_local_read {
        local($v) = @_;
	    eval q( &local_read(& &__ia64_per_cpu_var($v)));
    }' unless defined(&cpu_local_read);
    eval 'sub cpu_local_set {
        local($v, $i) = @_;
	    eval q( &local_set(& &__ia64_per_cpu_var($v), ($i)));
    }' unless defined(&cpu_local_set);
    eval 'sub cpu_local_inc {
        local($v) = @_;
	    eval q( &local_inc(& &__ia64_per_cpu_var($v)));
    }' unless defined(&cpu_local_inc);
    eval 'sub cpu_local_dec {
        local($v) = @_;
	    eval q( &local_dec(& &__ia64_per_cpu_var($v)));
    }' unless defined(&cpu_local_dec);
    eval 'sub cpu_local_add {
        local($i, $v) = @_;
	    eval q( &local_add(($i), & &__ia64_per_cpu_var($v)));
    }' unless defined(&cpu_local_add);
    eval 'sub cpu_local_sub {
        local($i, $v) = @_;
	    eval q( &local_sub(($i), & &__ia64_per_cpu_var($v)));
    }' unless defined(&cpu_local_sub);
    eval 'sub __cpu_local_inc {
        local($v) = @_;
	    eval q( &__local_inc(& &__ia64_per_cpu_var($v)));
    }' unless defined(&__cpu_local_inc);
    eval 'sub __cpu_local_dec {
        local($v) = @_;
	    eval q( &__local_dec(& &__ia64_per_cpu_var($v)));
    }' unless defined(&__cpu_local_dec);
    eval 'sub __cpu_local_add {
        local($i, $v) = @_;
	    eval q( &__local_add(($i), & &__ia64_per_cpu_var($v)));
    }' unless defined(&__cpu_local_add);
    eval 'sub __cpu_local_sub {
        local($i, $v) = @_;
	    eval q( &__local_sub(($i), & &__ia64_per_cpu_var($v)));
    }' unless defined(&__cpu_local_sub);
}
1;
