require '_h2ph_pre.ph';

no warnings 'redefine';

require 'asm/machvec.ph';
unless(defined(&MACHVEC_HELPER)) {
    sub MACHVEC_HELPER {
	local($name) = @_;
	eval q('struct ia64_machine_vector'  &machvec_$name  &__attribute__ (( &unused,  &__section__ (\".machvec\"))) =  &MACHVEC_INIT($name););
    }
}
unless(defined(&MACHVEC_DEFINE)) {
    sub MACHVEC_DEFINE {
	local($name) = @_;
	eval q( &MACHVEC_HELPER($name));
    }
}
1;
