require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_ASM_IA64_PGTABLE_H)) {
    eval 'sub _ASM_IA64_PGTABLE_H () {1;}' unless defined(&_ASM_IA64_PGTABLE_H);
    require 'linux/config.ph';
    require 'asm/mman.ph';
    require 'asm/page.ph';
    require 'asm/processor.ph';
    require 'asm/system.ph';
    require 'asm/types.ph';
    eval 'sub IA64_MAX_PHYS_BITS () {50;}' unless defined(&IA64_MAX_PHYS_BITS);
    eval 'sub _PAGE_P_BIT () {0;}' unless defined(&_PAGE_P_BIT);
    eval 'sub _PAGE_A_BIT () {5;}' unless defined(&_PAGE_A_BIT);
    eval 'sub _PAGE_D_BIT () {6;}' unless defined(&_PAGE_D_BIT);
    eval 'sub _PAGE_P () {(1<<  &_PAGE_P_BIT);}' unless defined(&_PAGE_P);
    eval 'sub _PAGE_MA_WB () {(0x << 2);}' unless defined(&_PAGE_MA_WB);
    eval 'sub _PAGE_MA_UC () {(0x4 << 2);}' unless defined(&_PAGE_MA_UC);
    eval 'sub _PAGE_MA_UCE () {(0x5 << 2);}' unless defined(&_PAGE_MA_UCE);
    eval 'sub _PAGE_MA_WC () {(0x6 << 2);}' unless defined(&_PAGE_MA_WC);
    eval 'sub _PAGE_MA_NAT () {(0x7 << 2);}' unless defined(&_PAGE_MA_NAT);
    eval 'sub _PAGE_MA_MASK () {(0x7 << 2);}' unless defined(&_PAGE_MA_MASK);
    eval 'sub _PAGE_PL_0 () {(0<< 7);}' unless defined(&_PAGE_PL_0);
    eval 'sub _PAGE_PL_1 () {(1<< 7);}' unless defined(&_PAGE_PL_1);
    eval 'sub _PAGE_PL_2 () {(2<< 7);}' unless defined(&_PAGE_PL_2);
    eval 'sub _PAGE_PL_3 () {(3<< 7);}' unless defined(&_PAGE_PL_3);
    eval 'sub _PAGE_PL_MASK () {(3<< 7);}' unless defined(&_PAGE_PL_MASK);
    eval 'sub _PAGE_AR_R () {(0<< 9);}' unless defined(&_PAGE_AR_R);
    eval 'sub _PAGE_AR_RX () {(1<< 9);}' unless defined(&_PAGE_AR_RX);
    eval 'sub _PAGE_AR_RW () {(2<< 9);}' unless defined(&_PAGE_AR_RW);
    eval 'sub _PAGE_AR_RWX () {(3<< 9);}' unless defined(&_PAGE_AR_RWX);
    eval 'sub _PAGE_AR_R_RW () {(4<< 9);}' unless defined(&_PAGE_AR_R_RW);
    eval 'sub _PAGE_AR_RX_RWX () {(5<< 9);}' unless defined(&_PAGE_AR_RX_RWX);
    eval 'sub _PAGE_AR_RWX_RW () {(6<< 9);}' unless defined(&_PAGE_AR_RWX_RW);
    eval 'sub _PAGE_AR_X_RX () {(7<< 9);}' unless defined(&_PAGE_AR_X_RX);
    eval 'sub _PAGE_AR_MASK () {(7<< 9);}' unless defined(&_PAGE_AR_MASK);
    eval 'sub _PAGE_AR_SHIFT () {9;}' unless defined(&_PAGE_AR_SHIFT);
    eval 'sub _PAGE_A () {(1<<  &_PAGE_A_BIT);}' unless defined(&_PAGE_A);
    eval 'sub _PAGE_D () {(1<<  &_PAGE_D_BIT);}' unless defined(&_PAGE_D);
    eval 'sub _PAGE_PPN_MASK () {((( &__IA64_UL(1) <<  &IA64_MAX_PHYS_BITS) - 1) & ~0xfff);}' unless defined(&_PAGE_PPN_MASK);
    eval 'sub _PAGE_ED () {( &__IA64_UL(1) << 52);}' unless defined(&_PAGE_ED);
    eval 'sub _PAGE_PROTNONE () {( &__IA64_UL(1) << 63);}' unless defined(&_PAGE_PROTNONE);
    eval 'sub _PAGE_FILE () {(1<< 1);}' unless defined(&_PAGE_FILE);
    eval 'sub _PFN_MASK () { &_PAGE_PPN_MASK;}' unless defined(&_PFN_MASK);
    eval 'sub _PAGE_CHG_MASK () {( &_PAGE_P |  &_PAGE_PROTNONE |  &_PAGE_PL_MASK |  &_PAGE_AR_MASK |  &_PAGE_ED);}' unless defined(&_PAGE_CHG_MASK);
    eval 'sub _PAGE_SIZE_4K () {12;}' unless defined(&_PAGE_SIZE_4K);
    eval 'sub _PAGE_SIZE_8K () {13;}' unless defined(&_PAGE_SIZE_8K);
    eval 'sub _PAGE_SIZE_16K () {14;}' unless defined(&_PAGE_SIZE_16K);
    eval 'sub _PAGE_SIZE_64K () {16;}' unless defined(&_PAGE_SIZE_64K);
    eval 'sub _PAGE_SIZE_256K () {18;}' unless defined(&_PAGE_SIZE_256K);
    eval 'sub _PAGE_SIZE_1M () {20;}' unless defined(&_PAGE_SIZE_1M);
    eval 'sub _PAGE_SIZE_4M () {22;}' unless defined(&_PAGE_SIZE_4M);
    eval 'sub _PAGE_SIZE_16M () {24;}' unless defined(&_PAGE_SIZE_16M);
    eval 'sub _PAGE_SIZE_64M () {26;}' unless defined(&_PAGE_SIZE_64M);
    eval 'sub _PAGE_SIZE_256M () {28;}' unless defined(&_PAGE_SIZE_256M);
    eval 'sub _PAGE_SIZE_1G () {30;}' unless defined(&_PAGE_SIZE_1G);
    eval 'sub _PAGE_SIZE_4G () {32;}' unless defined(&_PAGE_SIZE_4G);
    eval 'sub __ACCESS_BITS () { &_PAGE_ED |  &_PAGE_A |  &_PAGE_P |  &_PAGE_MA_WB;}' unless defined(&__ACCESS_BITS);
    eval 'sub __DIRTY_BITS_NO_ED () { &_PAGE_A |  &_PAGE_P |  &_PAGE_D |  &_PAGE_MA_WB;}' unless defined(&__DIRTY_BITS_NO_ED);
    eval 'sub __DIRTY_BITS () { &_PAGE_ED |  &__DIRTY_BITS_NO_ED;}' unless defined(&__DIRTY_BITS);
    eval 'sub PGDIR_SHIFT () {( &PAGE_SHIFT + 2*( &PAGE_SHIFT-3));}' unless defined(&PGDIR_SHIFT);
    eval 'sub PGDIR_SIZE () {( &__IA64_UL(1) <<  &PGDIR_SHIFT);}' unless defined(&PGDIR_SIZE);
    eval 'sub PGDIR_MASK () {(~( &PGDIR_SIZE-1));}' unless defined(&PGDIR_MASK);
    eval 'sub PTRS_PER_PGD () {( &__IA64_UL(1) << ( &PAGE_SHIFT-3));}' unless defined(&PTRS_PER_PGD);
    eval 'sub USER_PTRS_PER_PGD () {(5* &PTRS_PER_PGD/8);}' unless defined(&USER_PTRS_PER_PGD);
    eval 'sub FIRST_USER_PGD_NR () {0;}' unless defined(&FIRST_USER_PGD_NR);
    eval 'sub PMD_SHIFT () {( &PAGE_SHIFT + ( &PAGE_SHIFT-3));}' unless defined(&PMD_SHIFT);
    eval 'sub PMD_SIZE () {(1 <<  &PMD_SHIFT);}' unless defined(&PMD_SIZE);
    eval 'sub PMD_MASK () {(~( &PMD_SIZE-1));}' unless defined(&PMD_MASK);
    eval 'sub PTRS_PER_PMD () {( &__IA64_UL(1) << ( &PAGE_SHIFT-3));}' unless defined(&PTRS_PER_PMD);
    eval 'sub PTRS_PER_PTE () {( &__IA64_UL(1) << ( &PAGE_SHIFT-3));}' unless defined(&PTRS_PER_PTE);
    eval 'sub PAGE_NONE () { &__pgprot( &_PAGE_PROTNONE |  &_PAGE_A);}' unless defined(&PAGE_NONE);
    eval 'sub PAGE_SHARED () { &__pgprot( &__ACCESS_BITS |  &_PAGE_PL_3 |  &_PAGE_AR_RW);}' unless defined(&PAGE_SHARED);
    eval 'sub PAGE_READONLY () { &__pgprot( &__ACCESS_BITS |  &_PAGE_PL_3 |  &_PAGE_AR_R);}' unless defined(&PAGE_READONLY);
    eval 'sub PAGE_COPY () { &__pgprot( &__ACCESS_BITS |  &_PAGE_PL_3 |  &_PAGE_AR_R);}' unless defined(&PAGE_COPY);
    eval 'sub PAGE_COPY_EXEC () { &__pgprot( &__ACCESS_BITS |  &_PAGE_PL_3 |  &_PAGE_AR_RX);}' unless defined(&PAGE_COPY_EXEC);
    eval 'sub PAGE_GATE () { &__pgprot( &__ACCESS_BITS |  &_PAGE_PL_0 |  &_PAGE_AR_X_RX);}' unless defined(&PAGE_GATE);
    eval 'sub PAGE_KERNEL () { &__pgprot( &__DIRTY_BITS |  &_PAGE_PL_0 |  &_PAGE_AR_RWX);}' unless defined(&PAGE_KERNEL);
    eval 'sub PAGE_KERNELRX () { &__pgprot( &__ACCESS_BITS |  &_PAGE_PL_0 |  &_PAGE_AR_RX);}' unless defined(&PAGE_KERNELRX);
    unless(defined(&__ASSEMBLY__)) {
	require 'asm/bitops.ph';
	require 'asm/cacheflush.ph';
	require 'asm/mmu_context.ph';
	require 'asm/processor.ph';
	eval 'sub __P000 () { &PAGE_NONE;}' unless defined(&__P000);
	eval 'sub __P001 () { &PAGE_READONLY;}' unless defined(&__P001);
	eval 'sub __P010 () { &PAGE_READONLY;}' unless defined(&__P010);
	eval 'sub __P011 () { &PAGE_READONLY;}' unless defined(&__P011);
	eval 'sub __P100 () { &__pgprot( &__ACCESS_BITS |  &_PAGE_PL_3 |  &_PAGE_AR_X_RX);}' unless defined(&__P100);
	eval 'sub __P101 () { &__pgprot( &__ACCESS_BITS |  &_PAGE_PL_3 |  &_PAGE_AR_RX);}' unless defined(&__P101);
	eval 'sub __P110 () { &PAGE_COPY_EXEC;}' unless defined(&__P110);
	eval 'sub __P111 () { &PAGE_COPY_EXEC;}' unless defined(&__P111);
	eval 'sub __S000 () { &PAGE_NONE;}' unless defined(&__S000);
	eval 'sub __S001 () { &PAGE_READONLY;}' unless defined(&__S001);
	eval 'sub __S010 () { &PAGE_SHARED;}' unless defined(&__S010);
	eval 'sub __S011 () { &PAGE_SHARED;}' unless defined(&__S011);
	eval 'sub __S100 () { &__pgprot( &__ACCESS_BITS |  &_PAGE_PL_3 |  &_PAGE_AR_X_RX);}' unless defined(&__S100);
	eval 'sub __S101 () { &__pgprot( &__ACCESS_BITS |  &_PAGE_PL_3 |  &_PAGE_AR_RX);}' unless defined(&__S101);
	eval 'sub __S110 () { &__pgprot( &__ACCESS_BITS |  &_PAGE_PL_3 |  &_PAGE_AR_RWX);}' unless defined(&__S110);
	eval 'sub __S111 () { &__pgprot( &__ACCESS_BITS |  &_PAGE_PL_3 |  &_PAGE_AR_RWX);}' unless defined(&__S111);
	eval 'sub pgd_ERROR {
	    local($e) = @_;
    	    eval q( &printk(\\"%s:%d: bad pgd %016lx.\\\\n\\",  &__FILE__,  &__LINE__,  &pgd_val($e)));
	}' unless defined(&pgd_ERROR);
	eval 'sub pmd_ERROR {
	    local($e) = @_;
    	    eval q( &printk(\\"%s:%d: bad pmd %016lx.\\\\n\\",  &__FILE__,  &__LINE__,  &pmd_val($e)));
	}' unless defined(&pmd_ERROR);
	eval 'sub pte_ERROR {
	    local($e) = @_;
    	    eval q( &printk(\\"%s:%d: bad pte %016lx.\\\\n\\",  &__FILE__,  &__LINE__,  &pte_val($e)));
	}' unless defined(&pte_ERROR);
	eval 'sub kern_addr_valid {
	    local($addr) = @_;
    	    eval q((1));
	}' unless defined(&kern_addr_valid);
	eval 'sub set_pte {
	    local($ptep, $pteval) = @_;
    	    eval q((*($ptep) = ($pteval)));
	}' unless defined(&set_pte);
	eval 'sub RGN_SIZE () {(1 << 61);}' unless defined(&RGN_SIZE);
	eval 'sub RGN_KERNEL () {7;}' unless defined(&RGN_KERNEL);
	eval 'sub VMALLOC_START () {0xa000000200000000;}' unless defined(&VMALLOC_START);
	if(defined(&CONFIG_VIRTUAL_MEM_MAP)) {
	    eval 'sub VMALLOC_END_INIT () {(0xa000000000000000 + (1 << (4* &PAGE_SHIFT - 9)));}' unless defined(&VMALLOC_END_INIT);
	    eval 'sub VMALLOC_END () { &vmalloc_end;}' unless defined(&VMALLOC_END);
	} else {
	    eval 'sub VMALLOC_END () {(0xa000000000000000 + (1 << (4* &PAGE_SHIFT - 9)));}' unless defined(&VMALLOC_END);
	}
	eval 'sub kc_vaddr_to_offset {
	    local($v) = @_;
    	    eval q((($v) - 0xa000000000000000));
	}' unless defined(&kc_vaddr_to_offset);
	eval 'sub kc_offset_to_vaddr {
	    local($o) = @_;
    	    eval q((($o) + 0xa000000000000000));
	}' unless defined(&kc_offset_to_vaddr);
	eval 'sub pfn_pte {
	    local($pfn, $pgprot) = @_;
    	    eval q(({  &pte_t  &__pte;  &pte_val( &__pte) = (($pfn) <<  &PAGE_SHIFT) |  &pgprot_val($pgprot);  &__pte; }));
	}' unless defined(&pfn_pte);
	eval 'sub pte_pfn {
	    local($_pte) = @_;
    	    eval q((( &pte_val($_pte) &  &_PFN_MASK) >>  &PAGE_SHIFT));
	}' unless defined(&pte_pfn);
	eval 'sub mk_pte {
	    local($page, $pgprot) = @_;
    	    eval q( &pfn_pte( &page_to_pfn($page), ($pgprot)));
	}' unless defined(&mk_pte);
	eval 'sub mk_pte_phys {
	    local($physpage, $pgprot) = @_;
    	    eval q(({  &pte_t  &__pte;  &pte_val( &__pte) = $physpage +  &pgprot_val($pgprot);  &__pte; }));
	}' unless defined(&mk_pte_phys);
	eval 'sub pte_modify {
	    local($_pte, $newprot) = @_;
    	    eval q(( &__pte(( &pte_val($_pte) & ~ &_PAGE_CHG_MASK) | ( &pgprot_val($newprot) &  &_PAGE_CHG_MASK))));
	}' unless defined(&pte_modify);
	eval 'sub page_pte_prot {
	    local($page,$prot) = @_;
    	    eval q( &mk_pte($page, $prot));
	}' unless defined(&page_pte_prot);
	eval 'sub page_pte {
	    local($page) = @_;
    	    eval q( &page_pte_prot($page,  &__pgprot(0)));
	}' unless defined(&page_pte);
	eval 'sub pte_none {
	    local($pte) = @_;
    	    eval q((! &pte_val($pte)));
	}' unless defined(&pte_none);
	eval 'sub pte_present {
	    local($pte) = @_;
    	    eval q(( &pte_val($pte) & ( &_PAGE_P |  &_PAGE_PROTNONE)));
	}' unless defined(&pte_present);
	eval 'sub pte_clear {
	    local($pte) = @_;
    	    eval q(( &pte_val(*($pte)) = 0));
	}' unless defined(&pte_clear);
	eval 'sub pte_page {
	    local($pte) = @_;
    	    eval q( &virt_to_page((( &pte_val($pte) &  &_PFN_MASK) +  &PAGE_OFFSET)));
	}' unless defined(&pte_page);
	eval 'sub pmd_none {
	    local($pmd) = @_;
    	    eval q((! &pmd_val($pmd)));
	}' unless defined(&pmd_none);
	eval 'sub pmd_bad {
	    local($pmd) = @_;
    	    eval q((! &ia64_phys_addr_valid( &pmd_val($pmd))));
	}' unless defined(&pmd_bad);
	eval 'sub pmd_present {
	    local($pmd) = @_;
    	    eval q(( &pmd_val($pmd) != 0));
	}' unless defined(&pmd_present);
	eval 'sub pmd_clear {
	    local($pmdp) = @_;
    	    eval q(( &pmd_val(*($pmdp)) = 0));
	}' unless defined(&pmd_clear);
	eval 'sub pmd_page_kernel {
	    local($pmd) = @_;
    	    eval q((  &__va( &pmd_val($pmd) &  &_PFN_MASK)));
	}' unless defined(&pmd_page_kernel);
	eval 'sub pmd_page {
	    local($pmd) = @_;
    	    eval q( &virt_to_page(( &pmd_val($pmd) +  &PAGE_OFFSET)));
	}' unless defined(&pmd_page);
	eval 'sub pgd_none {
	    local($pgd) = @_;
    	    eval q((! &pgd_val($pgd)));
	}' unless defined(&pgd_none);
	eval 'sub pgd_bad {
	    local($pgd) = @_;
    	    eval q((! &ia64_phys_addr_valid( &pgd_val($pgd))));
	}' unless defined(&pgd_bad);
	eval 'sub pgd_present {
	    local($pgd) = @_;
    	    eval q(( &pgd_val($pgd) != 0));
	}' unless defined(&pgd_present);
	eval 'sub pgd_clear {
	    local($pgdp) = @_;
    	    eval q(( &pgd_val(*($pgdp)) = 0));
	}' unless defined(&pgd_clear);
	eval 'sub pgd_page {
	    local($pgd) = @_;
    	    eval q((  &__va( &pgd_val($pgd) &  &_PFN_MASK)));
	}' unless defined(&pgd_page);
	eval 'sub pte_user {
	    local($pte) = @_;
    	    eval q((( &pte_val($pte) &  &_PAGE_PL_MASK) ==  &_PAGE_PL_3));
	}' unless defined(&pte_user);
	eval 'sub pte_read {
	    local($pte) = @_;
    	    eval q(((( &pte_val($pte) &  &_PAGE_AR_MASK) >>  &_PAGE_AR_SHIFT) < 6));
	}' unless defined(&pte_read);
	eval 'sub pte_write {
	    local($pte) = @_;
    	    eval q(( ((( &pte_val($pte) &  &_PAGE_AR_MASK) >>  &_PAGE_AR_SHIFT) - 2) <= 4));
	}' unless defined(&pte_write);
	eval 'sub pte_exec {
	    local($pte) = @_;
    	    eval q((( &pte_val($pte) &  &_PAGE_AR_RX) != 0));
	}' unless defined(&pte_exec);
	eval 'sub pte_dirty {
	    local($pte) = @_;
    	    eval q((( &pte_val($pte) &  &_PAGE_D) != 0));
	}' unless defined(&pte_dirty);
	eval 'sub pte_young {
	    local($pte) = @_;
    	    eval q((( &pte_val($pte) &  &_PAGE_A) != 0));
	}' unless defined(&pte_young);
	eval 'sub pte_file {
	    local($pte) = @_;
    	    eval q((( &pte_val($pte) &  &_PAGE_FILE) != 0));
	}' unless defined(&pte_file);
	eval 'sub pte_wrprotect {
	    local($pte) = @_;
    	    eval q(( &__pte( &pte_val($pte) & ~ &_PAGE_AR_RW)));
	}' unless defined(&pte_wrprotect);
	eval 'sub pte_mkwrite {
	    local($pte) = @_;
    	    eval q(( &__pte( &pte_val($pte) |  &_PAGE_AR_RW)));
	}' unless defined(&pte_mkwrite);
	eval 'sub pte_mkexec {
	    local($pte) = @_;
    	    eval q(( &__pte( &pte_val($pte) |  &_PAGE_AR_RX)));
	}' unless defined(&pte_mkexec);
	eval 'sub pte_mkold {
	    local($pte) = @_;
    	    eval q(( &__pte( &pte_val($pte) & ~ &_PAGE_A)));
	}' unless defined(&pte_mkold);
	eval 'sub pte_mkyoung {
	    local($pte) = @_;
    	    eval q(( &__pte( &pte_val($pte) |  &_PAGE_A)));
	}' unless defined(&pte_mkyoung);
	eval 'sub pte_mkclean {
	    local($pte) = @_;
    	    eval q(( &__pte( &pte_val($pte) & ~ &_PAGE_D)));
	}' unless defined(&pte_mkclean);
	eval 'sub pte_mkdirty {
	    local($pte) = @_;
    	    eval q(( &__pte( &pte_val($pte) |  &_PAGE_D)));
	}' unless defined(&pte_mkdirty);
	eval 'sub pgprot_noncached {
	    local($prot) = @_;
    	    eval q( &__pgprot(( &pgprot_val($prot) & ~ &_PAGE_MA_MASK) |  &_PAGE_MA_UC));
	}' unless defined(&pgprot_noncached);
	eval 'sub pgprot_writecombine {
	    local($prot) = @_;
    	    eval q( &__pgprot(( &pgprot_val($prot) & ~ &_PAGE_MA_MASK) |  &_PAGE_MA_WC));
	}' unless defined(&pgprot_writecombine);
	eval 'sub pgd_index {
	    local($address) = @_;
    	    eval q({ my $region = $address >> 61; my $l1index = ($address >>  &PGDIR_SHIFT) & (( &PTRS_PER_PGD >> 3) - 1); ( $region << ( &PAGE_SHIFT - 6)) |  $l1index; });
	}' unless defined(&pgd_index);
	eval 'sub pgd_offset_k {
	    local($addr) = @_;
    	    eval q(( ($init_mm->{pgd}) + ((($addr) >>  &PGDIR_SHIFT) & ( &PTRS_PER_PGD - 1))));
	}' unless defined(&pgd_offset_k);
	eval 'sub pgd_offset_gate {
	    local($mm, $addr) = @_;
    	    eval q( &pgd_offset_k($addr));
	}' unless defined(&pgd_offset_gate);
	eval 'sub pmd_offset {
	    local($dir,$addr) = @_;
    	    eval q((( &pmd_t *)  &pgd_page(*($dir)) + ((($addr) >>  &PMD_SHIFT) & ( &PTRS_PER_PMD - 1))));
	}' unless defined(&pmd_offset);
	eval 'sub pte_index {
	    local($addr) = @_;
    	    eval q(((($addr) >>  &PAGE_SHIFT) & ( &PTRS_PER_PTE - 1)));
	}' unless defined(&pte_index);
	eval 'sub pte_offset_kernel {
	    local($dir,$addr) = @_;
    	    eval q((( &pte_t *)  &pmd_page_kernel(*($dir)) +  &pte_index($addr)));
	}' unless defined(&pte_offset_kernel);
	eval 'sub pte_offset_map {
	    local($dir,$addr) = @_;
    	    eval q( &pte_offset_kernel($dir, $addr));
	}' unless defined(&pte_offset_map);
	eval 'sub pte_offset_map_nested {
	    local($dir,$addr) = @_;
    	    eval q( &pte_offset_map($dir, $addr));
	}' unless defined(&pte_offset_map_nested);
	eval 'sub pte_unmap {
	    local($pte) = @_;
    	    eval q( &do { }  &while (0));
	}' unless defined(&pte_unmap);
	eval 'sub pte_unmap_nested {
	    local($pte) = @_;
    	    eval q( &do { }  &while (0));
	}' unless defined(&pte_unmap_nested);
	if(defined(&CONFIG_SMP)) {
	} else {
	}
# some #ifdef were dropped here -- fill in the blanks
	eval 'sub ptep_test_and_clear_dirty {
	    local($ptep) = @_;
    	    eval q({ });
	}' unless defined(&ptep_test_and_clear_dirty);
# some #ifdef were dropped here -- fill in the blanks
	eval 'sub ptep_get_and_clear {
	    local($ptep) = @_;
    	    eval q({ });
	}' unless defined(&ptep_get_and_clear);
# some #ifdef were dropped here -- fill in the blanks
	eval 'sub ptep_set_wrprotect {
	    local($ptep) = @_;
    	    eval q({ });
	}' unless defined(&ptep_set_wrprotect);
# some #ifdef were dropped here -- fill in the blanks
	eval 'sub ptep_mkdirty {
	    local($ptep) = @_;
    	    eval q({ });
	}' unless defined(&ptep_mkdirty);
	eval 'sub pte_same {
	    local($a,$b) = @_;
    	    eval q({  &pte_val($a) ==  &pte_val($b); });
	}' unless defined(&pte_same);
	eval 'sub __swp_type {
	    local($entry) = @_;
    	    eval q(((($entry). &val >> 2) & 0x7f));
	}' unless defined(&__swp_type);
	eval 'sub __swp_offset {
	    local($entry) = @_;
    	    eval q(((($entry). &val << 1) >> 10));
	}' unless defined(&__swp_offset);
	eval 'sub __swp_entry {
	    local($type,$offset) = @_;
    	    eval q(( { ( << 2) | ( ($offset) << 9) }));
	}' unless defined(&__swp_entry);
	eval 'sub __pte_to_swp_entry {
	    local($pte) = @_;
    	    eval q((( &swp_entry_t) {  &pte_val($pte) }));
	}' unless defined(&__pte_to_swp_entry);
	eval 'sub __swp_entry_to_pte {
	    local($x) = @_;
    	    eval q((( &pte_t) { ($x). &val }));
	}' unless defined(&__swp_entry_to_pte);
	eval 'sub PTE_FILE_MAX_BITS () {61;}' unless defined(&PTE_FILE_MAX_BITS);
	eval 'sub pte_to_pgoff {
	    local($pte) = @_;
    	    eval q((( &pte_val($pte) << 1) >> 3));
	}' unless defined(&pte_to_pgoff);
	eval 'sub pgoff_to_pte {
	    local($off) = @_;
    	    eval q((( &pte_t) { (($off) << 2) |  &_PAGE_FILE }));
	}' unless defined(&pgoff_to_pte);
	eval 'sub io_remap_page_range () { &remap_page_range;}' unless defined(&io_remap_page_range);
	eval 'sub ZERO_PAGE {
	    local($vaddr) = @_;
    	    eval q(( &zero_page_memmap_ptr));
	}' unless defined(&ZERO_PAGE);
	eval 'sub HAVE_ARCH_UNMAPPED_AREA () {1;}' unless defined(&HAVE_ARCH_UNMAPPED_AREA);
	if(defined(&CONFIG_HUGETLB_PAGE)) {
	    eval 'sub HUGETLB_PGDIR_SHIFT () {( &HPAGE_SHIFT + 2*( &PAGE_SHIFT-3));}' unless defined(&HUGETLB_PGDIR_SHIFT);
	    eval 'sub HUGETLB_PGDIR_SIZE () {( &__IA64_UL(1) <<  &HUGETLB_PGDIR_SHIFT);}' unless defined(&HUGETLB_PGDIR_SIZE);
	    eval 'sub HUGETLB_PGDIR_MASK () {(~( &HUGETLB_PGDIR_SIZE-1));}' unless defined(&HUGETLB_PGDIR_MASK);
	}
	eval 'sub __HAVE_ARCH_PTEP_SET_ACCESS_FLAGS () {1;}' unless defined(&__HAVE_ARCH_PTEP_SET_ACCESS_FLAGS);
	if(defined(&CONFIG_SMP)) {
	    eval 'sub ptep_set_access_flags {
	        local($__vma, $__addr, $__ptep, $__entry, $__safely_writable) = @_;
    		eval q( &do {  &if ($__safely_writable) {  &set_pte($__ptep, $__entry);  &flush_tlb_page($__vma, $__addr); } }  &while (0));
	    }' unless defined(&ptep_set_access_flags);
	} else {
	    eval 'sub ptep_set_access_flags {
	        local($__vma, $__addr, $__ptep, $__entry, $__safely_writable) = @_;
    		eval q( &ptep_establish($__vma, $__addr, $__ptep, $__entry));
	    }' unless defined(&ptep_set_access_flags);
	}
	if(defined(&CONFIG_VIRTUAL_MEM_MAP)) {
	    eval 'sub __HAVE_ARCH_MEMMAP_INIT () {1;}' unless defined(&__HAVE_ARCH_MEMMAP_INIT);
	}
    }
    if(defined( &CONFIG_IA64_GRANULE_64MB)) {
	eval 'sub IA64_GRANULE_SHIFT () { &_PAGE_SIZE_64M;}' unless defined(&IA64_GRANULE_SHIFT);
    }
 elsif(defined( &CONFIG_IA64_GRANULE_16MB)) {
	eval 'sub IA64_GRANULE_SHIFT () { &_PAGE_SIZE_16M;}' unless defined(&IA64_GRANULE_SHIFT);
    }
    eval 'sub IA64_GRANULE_SIZE () {(1<<  &IA64_GRANULE_SHIFT);}' unless defined(&IA64_GRANULE_SIZE);
    eval 'sub KERNEL_TR_PAGE_SHIFT () { &_PAGE_SIZE_64M;}' unless defined(&KERNEL_TR_PAGE_SHIFT);
    eval 'sub KERNEL_TR_PAGE_SIZE () {(1<<  &KERNEL_TR_PAGE_SHIFT);}' unless defined(&KERNEL_TR_PAGE_SIZE);
    eval 'sub pgtable_cache_init () {
        eval q( &do { }  &while (0));
    }' unless defined(&pgtable_cache_init);
    eval 'sub FIXADDR_USER_START () { &GATE_ADDR;}' unless defined(&FIXADDR_USER_START);
    eval 'sub FIXADDR_USER_END () {( &GATE_ADDR + 2* &PERCPU_PAGE_SIZE);}' unless defined(&FIXADDR_USER_END);
    eval 'sub __HAVE_ARCH_PTEP_TEST_AND_CLEAR_YOUNG () {1;}' unless defined(&__HAVE_ARCH_PTEP_TEST_AND_CLEAR_YOUNG);
    eval 'sub __HAVE_ARCH_PTEP_TEST_AND_CLEAR_DIRTY () {1;}' unless defined(&__HAVE_ARCH_PTEP_TEST_AND_CLEAR_DIRTY);
    eval 'sub __HAVE_ARCH_PTEP_GET_AND_CLEAR () {1;}' unless defined(&__HAVE_ARCH_PTEP_GET_AND_CLEAR);
    eval 'sub __HAVE_ARCH_PTEP_SET_WRPROTECT () {1;}' unless defined(&__HAVE_ARCH_PTEP_SET_WRPROTECT);
    eval 'sub __HAVE_ARCH_PTEP_MKDIRTY () {1;}' unless defined(&__HAVE_ARCH_PTEP_MKDIRTY);
    eval 'sub __HAVE_ARCH_PTE_SAME () {1;}' unless defined(&__HAVE_ARCH_PTE_SAME);
    eval 'sub __HAVE_ARCH_PGD_OFFSET_GATE () {1;}' unless defined(&__HAVE_ARCH_PGD_OFFSET_GATE);
    require 'asm-generic/pgtable.ph';
}
1;
