require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_ASM_IA64_SAL_H)) {
    eval 'sub _ASM_IA64_SAL_H () {1;}' unless defined(&_ASM_IA64_SAL_H);
    eval 'sub IA64_SAL_PLATFORM_FEATURE_BUS_LOCK_BIT () {0;}' unless defined(&IA64_SAL_PLATFORM_FEATURE_BUS_LOCK_BIT);
    eval 'sub IA64_SAL_PLATFORM_FEATURE_IRQ_REDIR_HINT_BIT () {1;}' unless defined(&IA64_SAL_PLATFORM_FEATURE_IRQ_REDIR_HINT_BIT);
    eval 'sub IA64_SAL_PLATFORM_FEATURE_IPI_REDIR_HINT_BIT () {2;}' unless defined(&IA64_SAL_PLATFORM_FEATURE_IPI_REDIR_HINT_BIT);
    eval 'sub IA64_SAL_PLATFORM_FEATURE_ITC_DRIFT_BIT () {3;}' unless defined(&IA64_SAL_PLATFORM_FEATURE_ITC_DRIFT_BIT);
    eval 'sub IA64_SAL_PLATFORM_FEATURE_BUS_LOCK () {(1<< &IA64_SAL_PLATFORM_FEATURE_BUS_LOCK_BIT);}' unless defined(&IA64_SAL_PLATFORM_FEATURE_BUS_LOCK);
    eval 'sub IA64_SAL_PLATFORM_FEATURE_IRQ_REDIR_HINT () {(1<< &IA64_SAL_PLATFORM_FEATURE_IRQ_REDIR_HINT_BIT);}' unless defined(&IA64_SAL_PLATFORM_FEATURE_IRQ_REDIR_HINT);
    eval 'sub IA64_SAL_PLATFORM_FEATURE_IPI_REDIR_HINT () {(1<< &IA64_SAL_PLATFORM_FEATURE_IPI_REDIR_HINT_BIT);}' unless defined(&IA64_SAL_PLATFORM_FEATURE_IPI_REDIR_HINT);
    eval 'sub IA64_SAL_PLATFORM_FEATURE_ITC_DRIFT () {(1<< &IA64_SAL_PLATFORM_FEATURE_ITC_DRIFT_BIT);}' unless defined(&IA64_SAL_PLATFORM_FEATURE_ITC_DRIFT);
    unless(defined(&__ASSEMBLY__)) {
	require 'linux/bcd.ph';
	require 'linux/spinlock.ph';
	require 'linux/efi.ph';
	require 'asm/pal.ph';
	require 'asm/system.ph';
	require 'asm/fpu.ph';
	eval 'sub __SAL_CALL {
	    local($result,$a0,$a1,$a2,$a3,$a4,$a5,$a6,$a7) = @_;
    	    eval q($result = (* &ia64_sal)($a0,$a1,$a2,$a3,$a4,$a5,$a6,$a7));
	}' unless defined(&__SAL_CALL);
	eval 'sub SAL_CALL () {( &result, &args...)  &do { \'unsigned long __ia64_sc_flags\'; \'struct ia64_fpreg\'  $__ia64_sc_fr[6];  &ia64_save_scratch_fpregs( &__ia64_sc_fr);  &spin_lock_irqsave( &sal_lock,  &__ia64_sc_flags);  &__SAL_CALL( &result,  &args);  &spin_unlock_irqrestore( &sal_lock,  &__ia64_sc_flags);  &ia64_load_scratch_fpregs( &__ia64_sc_fr); }  &while (0);}' unless defined(&SAL_CALL);
	eval 'sub SAL_CALL_NOLOCK () {( &result, &args...)  &do { \'unsigned long __ia64_scn_flags\'; \'struct ia64_fpreg\'  $__ia64_scn_fr[6];  &ia64_save_scratch_fpregs( &__ia64_scn_fr);  &local_irq_save( &__ia64_scn_flags);  &__SAL_CALL( &result,  &args);  &local_irq_restore( &__ia64_scn_flags);  &ia64_load_scratch_fpregs( &__ia64_scn_fr); }  &while (0);}' unless defined(&SAL_CALL_NOLOCK);
	eval 'sub SAL_CALL_REENTRANT () {( &result, &args...)  &do { \'struct ia64_fpreg\'  $__ia64_scs_fr[6];  &ia64_save_scratch_fpregs( &__ia64_scs_fr);  &preempt_disable();  &__SAL_CALL( &result,  &args);  &preempt_enable();  &ia64_load_scratch_fpregs( &__ia64_scs_fr); }  &while (0);}' unless defined(&SAL_CALL_REENTRANT);
	eval 'sub SAL_SET_VECTORS () {0x1000000;}' unless defined(&SAL_SET_VECTORS);
	eval 'sub SAL_GET_STATE_INFO () {0x1000001;}' unless defined(&SAL_GET_STATE_INFO);
	eval 'sub SAL_GET_STATE_INFO_SIZE () {0x1000002;}' unless defined(&SAL_GET_STATE_INFO_SIZE);
	eval 'sub SAL_CLEAR_STATE_INFO () {0x1000003;}' unless defined(&SAL_CLEAR_STATE_INFO);
	eval 'sub SAL_MC_RENDEZ () {0x1000004;}' unless defined(&SAL_MC_RENDEZ);
	eval 'sub SAL_MC_SET_PARAMS () {0x1000005;}' unless defined(&SAL_MC_SET_PARAMS);
	eval 'sub SAL_REGISTER_PHYSICAL_ADDR () {0x1000006;}' unless defined(&SAL_REGISTER_PHYSICAL_ADDR);
	eval 'sub SAL_CACHE_FLUSH () {0x1000008;}' unless defined(&SAL_CACHE_FLUSH);
	eval 'sub SAL_CACHE_INIT () {0x1000009;}' unless defined(&SAL_CACHE_INIT);
	eval 'sub SAL_PCI_CONFIG_READ () {0x1000010;}' unless defined(&SAL_PCI_CONFIG_READ);
	eval 'sub SAL_PCI_CONFIG_WRITE () {0x1000011;}' unless defined(&SAL_PCI_CONFIG_WRITE);
	eval 'sub SAL_FREQ_BASE () {0x1000012;}' unless defined(&SAL_FREQ_BASE);
	eval 'sub SAL_UPDATE_PAL () {0x1000020;}' unless defined(&SAL_UPDATE_PAL);
	eval("sub SAL_FREQ_BASE_PLATFORM () { 0; }") unless defined(&SAL_FREQ_BASE_PLATFORM);
	eval("sub SAL_FREQ_BASE_INTERVAL_TIMER () { 1; }") unless defined(&SAL_FREQ_BASE_INTERVAL_TIMER);
	eval("sub SAL_FREQ_BASE_REALTIME_CLOCK () { 2; }") unless defined(&SAL_FREQ_BASE_REALTIME_CLOCK);
	eval("sub SAL_DESC_ENTRY_POINT () { 0; }") unless defined(&SAL_DESC_ENTRY_POINT);
	eval("sub SAL_DESC_MEMORY () { 1; }") unless defined(&SAL_DESC_MEMORY);
	eval("sub SAL_DESC_PLATFORM_FEATURE () { 2; }") unless defined(&SAL_DESC_PLATFORM_FEATURE);
	eval("sub SAL_DESC_TR () { 3; }") unless defined(&SAL_DESC_TR);
	eval("sub SAL_DESC_PTC () { 4; }") unless defined(&SAL_DESC_PTC);
	eval("sub SAL_DESC_AP_WAKEUP () { 5; }") unless defined(&SAL_DESC_AP_WAKEUP);
	eval 'sub SAL_DESC_SIZE {
	    local($type) = @_;
    	    eval q(\\"\\\\060\\\\040\\\\020\\\\040\\\\020\\\\020\\"[ $type]);
	}' unless defined(&SAL_DESC_SIZE);
	eval 'sub IA64_SAL_AP_EXTERNAL_INT () {0;}' unless defined(&IA64_SAL_AP_EXTERNAL_INT);
	eval 'sub SAL_VERSION_CODE {
	    local($major, $minor) = @_;
    	    eval q((( &BIN2BCD($major) << 8) |  &BIN2BCD($minor)));
	}' unless defined(&SAL_VERSION_CODE);
	eval("sub SAL_INFO_TYPE_MCA () { 0; }") unless defined(&SAL_INFO_TYPE_MCA);
	eval("sub SAL_INFO_TYPE_INIT () { 1; }") unless defined(&SAL_INFO_TYPE_INIT);
	eval("sub SAL_INFO_TYPE_CMC () { 2; }") unless defined(&SAL_INFO_TYPE_CMC);
	eval("sub SAL_INFO_TYPE_CPE () { 3; }") unless defined(&SAL_INFO_TYPE_CPE);
	eval("sub SAL_MC_PARAM_RENDEZ_INT () { 1; }") unless defined(&SAL_MC_PARAM_RENDEZ_INT);
	eval("sub SAL_MC_PARAM_RENDEZ_WAKEUP () { 2; }") unless defined(&SAL_MC_PARAM_RENDEZ_WAKEUP);
	eval("sub SAL_MC_PARAM_CPE_INT () { 3; }") unless defined(&SAL_MC_PARAM_CPE_INT);
	eval("sub SAL_MC_PARAM_MECHANISM_INT () { 1; }") unless defined(&SAL_MC_PARAM_MECHANISM_INT);
	eval("sub SAL_MC_PARAM_MECHANISM_MEM () { 2; }") unless defined(&SAL_MC_PARAM_MECHANISM_MEM);
	eval("sub SAL_VECTOR_OS_MCA () { 0; }") unless defined(&SAL_VECTOR_OS_MCA);
	eval("sub SAL_VECTOR_OS_INIT () { 1; }") unless defined(&SAL_VECTOR_OS_INIT);
	eval("sub SAL_VECTOR_OS_BOOT_RENDEZ () { 2; }") unless defined(&SAL_VECTOR_OS_BOOT_RENDEZ);
	eval 'sub SAL_MC_PARAM_RZ_ALWAYS () {0x1;}' unless defined(&SAL_MC_PARAM_RZ_ALWAYS);
	eval 'sub SAL_MC_PARAM_BINIT_ESCALATE () {0x10;}' unless defined(&SAL_MC_PARAM_BINIT_ESCALATE);
	eval 'sub SAL_PROC_DEV_ERR_SECT_GUID () { &EFI_GUID(0xe429faf1, 0x3cb7, 0x11d4, 0xbc, 0xa7, 0x, 0x80, 0xc7, 0x3c, 0x88, 0x81);}' unless defined(&SAL_PROC_DEV_ERR_SECT_GUID);
	eval 'sub SAL_PLAT_MEM_DEV_ERR_SECT_GUID () { &EFI_GUID(0xe429faf2, 0x3cb7, 0x11d4, 0xbc, 0xa7, 0x, 0x80, 0xc7, 0x3c, 0x88, 0x81);}' unless defined(&SAL_PLAT_MEM_DEV_ERR_SECT_GUID);
	eval 'sub SAL_PLAT_SEL_DEV_ERR_SECT_GUID () { &EFI_GUID(0xe429faf3, 0x3cb7, 0x11d4, 0xbc, 0xa7, 0x, 0x80, 0xc7, 0x3c, 0x88, 0x81);}' unless defined(&SAL_PLAT_SEL_DEV_ERR_SECT_GUID);
	eval 'sub SAL_PLAT_PCI_BUS_ERR_SECT_GUID () { &EFI_GUID(0xe429faf4, 0x3cb7, 0x11d4, 0xbc, 0xa7, 0x, 0x80, 0xc7, 0x3c, 0x88, 0x81);}' unless defined(&SAL_PLAT_PCI_BUS_ERR_SECT_GUID);
	eval 'sub SAL_PLAT_SMBIOS_DEV_ERR_SECT_GUID () { &EFI_GUID(0xe429faf5, 0x3cb7, 0x11d4, 0xbc, 0xa7, 0x, 0x80, 0xc7, 0x3c, 0x88, 0x81);}' unless defined(&SAL_PLAT_SMBIOS_DEV_ERR_SECT_GUID);
	eval 'sub SAL_PLAT_PCI_COMP_ERR_SECT_GUID () { &EFI_GUID(0xe429faf6, 0x3cb7, 0x11d4, 0xbc, 0xa7, 0x, 0x80, 0xc7, 0x3c, 0x88, 0x81);}' unless defined(&SAL_PLAT_PCI_COMP_ERR_SECT_GUID);
	eval 'sub SAL_PLAT_SPECIFIC_ERR_SECT_GUID () { &EFI_GUID(0xe429faf7, 0x3cb7, 0x11d4, 0xbc, 0xa7, 0x, 0x80, 0xc7, 0x3c, 0x88, 0x81);}' unless defined(&SAL_PLAT_SPECIFIC_ERR_SECT_GUID);
	eval 'sub SAL_PLAT_HOST_CTLR_ERR_SECT_GUID () { &EFI_GUID(0xe429faf8, 0x3cb7, 0x11d4, 0xbc, 0xa7, 0x, 0x80, 0xc7, 0x3c, 0x88, 0x81);}' unless defined(&SAL_PLAT_HOST_CTLR_ERR_SECT_GUID);
	eval 'sub SAL_PLAT_BUS_ERR_SECT_GUID () { &EFI_GUID(0xe429faf9, 0x3cb7, 0x11d4, 0xbc, 0xa7, 0x, 0x80, 0xc7, 0x3c, 0x88, 0x81);}' unless defined(&SAL_PLAT_BUS_ERR_SECT_GUID);
	eval 'sub MAX_CACHE_ERRORS () {6;}' unless defined(&MAX_CACHE_ERRORS);
	eval 'sub MAX_TLB_ERRORS () {6;}' unless defined(&MAX_TLB_ERRORS);
	eval 'sub MAX_BUS_ERRORS () {1;}' unless defined(&MAX_BUS_ERRORS);
	eval 'sub SAL_LPI_PSI_INFO {
	    local($l) = @_;
    	    eval q(({  &sal_log_processor_info_t * &_l = ($l); (( &sal_processor_static_info_t *) (  ($_$l->{info}) + (( ($_$l->{valid}->{num_cache_check}) +  ($_$l->{valid}->{num_tlb_check})	 +  ($_$l->{valid}->{num_bus_check}) +  ($_$l->{valid}->{num_reg_file_check})	 +  ($_$l->{valid}->{num_ms_check})) * $sizeof{ &sal_log_mod_error_info_t} + $sizeof{\'struct sal_cpuid_info\'}))); }));
	}' unless defined(&SAL_LPI_PSI_INFO);
    }
}
1;
