require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_ASM_IA64_TLB_H)) {
    eval 'sub _ASM_IA64_TLB_H () {1;}' unless defined(&_ASM_IA64_TLB_H);
    require 'linux/config.ph';
    require 'linux/mm.ph';
    require 'linux/swap.ph';
    require 'asm/pgalloc.ph';
    require 'asm/processor.ph';
    require 'asm/tlbflush.ph';
    require 'asm/machvec.ph';
    if(defined(&CONFIG_SMP)) {
	eval 'sub FREE_PTE_NR () {2048;}' unless defined(&FREE_PTE_NR);
	eval 'sub tlb_fast_mode {
	    local($tlb) = @_;
    	    eval q((($tlb)-> &nr == ~0));
	}' unless defined(&tlb_fast_mode);
    } else {
	eval 'sub FREE_PTE_NR () {0;}' unless defined(&FREE_PTE_NR);
	eval 'sub tlb_fast_mode {
	    local($tlb) = @_;
    	    eval q((1));
	}' unless defined(&tlb_fast_mode);
    }
    eval 'sub tlb_is_full_mm {
        local($tlb) = @_;
	    eval q({  ($tlb->{fullmm}); });
    }' unless defined(&tlb_is_full_mm);
    eval 'sub tlb_migrate_finish {
        local($mm) = @_;
	    eval q( &platform_tlb_migrate_finish($mm));
    }' unless defined(&tlb_migrate_finish);
    eval 'sub tlb_start_vma {
        local($tlb, $vma) = @_;
	    eval q( &do { }  &while (0));
    }' unless defined(&tlb_start_vma);
    eval 'sub tlb_end_vma {
        local($tlb, $vma) = @_;
	    eval q( &do { }  &while (0));
    }' unless defined(&tlb_end_vma);
    eval 'sub tlb_remove_tlb_entry {
        local($tlb, $ptep, $addr) = @_;
	    eval q( &do {  ($tlb->{need_flush}) = 1;  &__tlb_remove_tlb_entry($tlb, $ptep, $addr); }  &while (0));
    }' unless defined(&tlb_remove_tlb_entry);
    eval 'sub pte_free_tlb {
        local($tlb, $ptep) = @_;
	    eval q( &do {  ($tlb->{need_flush}) = 1;  &__pte_free_tlb($tlb, $ptep); }  &while (0));
    }' unless defined(&pte_free_tlb);
    eval 'sub pmd_free_tlb {
        local($tlb, $ptep) = @_;
	    eval q( &do {  ($tlb->{need_flush}) = 1;  &__pmd_free_tlb($tlb, $ptep); }  &while (0));
    }' unless defined(&pmd_free_tlb);
}
1;
