require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_ASM_IA64_TLBFLUSH_H)) {
    eval 'sub _ASM_IA64_TLBFLUSH_H () {1;}' unless defined(&_ASM_IA64_TLBFLUSH_H);
    require 'linux/config.ph';
    require 'linux/mm.ph';
    require 'asm/intrinsics.ph';
    require 'asm/mmu_context.ph';
    require 'asm/page.ph';
    if(defined(&CONFIG_SMP)) {
	eval 'sub flush_tlb_all () {
	    eval q( &smp_flush_tlb_all());
	}' unless defined(&flush_tlb_all);
    } else {
	eval 'sub flush_tlb_all () {
	    eval q( &local_flush_tlb_all());
	}' unless defined(&flush_tlb_all);
    }
    eval 'sub local_finish_flush_tlb_mm {
        local($mm) = @_;
	    eval q({  &if ($mm ==  ($current->{active_mm}))  &activate_context($mm); });
    }' unless defined(&local_finish_flush_tlb_mm);
    if(defined(&CONFIG_SMP)) {
    } else {
    }
    if(defined(&CONFIG_SMP)) {
    } else {
    }
    eval 'sub flush_tlb_kernel_range {
        local($start, $end) = @_;
	    eval q( &flush_tlb_all());
    }' unless defined(&flush_tlb_kernel_range);
}
1;
