require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_ASM_IA64_TOPOLOGY_H)) {
    eval 'sub _ASM_IA64_TOPOLOGY_H () {1;}' unless defined(&_ASM_IA64_TOPOLOGY_H);
    require 'asm/acpi.ph';
    require 'asm/numa.ph';
    require 'asm/smp.ph';
    if(defined(&CONFIG_NUMA)) {
	eval 'sub cpu_to_node {
	    local($cpu) = @_;
    	    eval q(( $cpu_to_node_map[$cpu]));
	}' unless defined(&cpu_to_node);
	eval 'sub node_to_cpumask {
	    local($node) = @_;
    	    eval q(( $node_to_cpu_mask[$node]));
	}' unless defined(&node_to_cpumask);
	eval 'sub parent_node {
	    local($nid) = @_;
    	    eval q(($nid));
	}' unless defined(&parent_node);
	eval 'sub node_to_first_cpu {
	    local($node) = @_;
    	    eval q(( &__ffs( &node_to_cpumask($node))));
	}' unless defined(&node_to_first_cpu);
	eval 'sub NODE_BALANCE_RATE () {10;}' unless defined(&NODE_BALANCE_RATE);
    }
    require 'asm-generic/topology.ph';
}
1;
