require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_ASM_IA64_UNWIND_H)) {
    eval 'sub _ASM_IA64_UNWIND_H () {1;}' unless defined(&_ASM_IA64_UNWIND_H);
    eval("sub UNW_AR_BSP () { 0; }") unless defined(&UNW_AR_BSP);
    eval("sub UNW_AR_BSPSTORE () { 1; }") unless defined(&UNW_AR_BSPSTORE);
    eval("sub UNW_AR_PFS () { 2; }") unless defined(&UNW_AR_PFS);
    eval("sub UNW_AR_RNAT () { 3; }") unless defined(&UNW_AR_RNAT);
    eval("sub UNW_AR_UNAT () { 4; }") unless defined(&UNW_AR_UNAT);
    eval("sub UNW_AR_LC () { 5; }") unless defined(&UNW_AR_LC);
    eval("sub UNW_AR_EC () { 6; }") unless defined(&UNW_AR_EC);
    eval("sub UNW_AR_FPSR () { 7; }") unless defined(&UNW_AR_FPSR);
    eval("sub UNW_AR_RSC () { 8; }") unless defined(&UNW_AR_RSC);
    eval("sub UNW_AR_CCV () { 9; }") unless defined(&UNW_AR_CCV);
    eval("sub UNW_AR_CSD () { 10; }") unless defined(&UNW_AR_CSD);
    eval("sub UNW_AR_SSD () { 11; }") unless defined(&UNW_AR_SSD);
    eval 'sub UNW_FLAG_INTERRUPT_FRAME () {(1 << 0);}' unless defined(&UNW_FLAG_INTERRUPT_FRAME);
    eval 'sub unw_is_intr_frame {
        local($info) = @_;
	    eval q(((($info)-> &flags &  &UNW_FLAG_INTERRUPT_FRAME) != 0));
    }' unless defined(&unw_is_intr_frame);
    eval 'sub unw_get_ip {
        local($info,$valp) = @_;
	    eval q({ *$valp = ($info)-> &ip; 0; });
    }' unless defined(&unw_get_ip);
    eval 'sub unw_get_sp {
        local($info,$valp) = @_;
	    eval q({ *$valp = ($info)-> &sp; 0; });
    }' unless defined(&unw_get_sp);
    eval 'sub unw_get_psp {
        local($info,$valp) = @_;
	    eval q({ *$valp = ($info)-> &psp; 0; });
    }' unless defined(&unw_get_psp);
    eval 'sub unw_get_bsp {
        local($info,$valp) = @_;
	    eval q({ *$valp = ($info)-> &bsp; 0; });
    }' unless defined(&unw_get_bsp);
    eval 'sub unw_get_cfm {
        local($info,$valp) = @_;
	    eval q({ *$valp = *($info)-> &cfm_loc; 0; });
    }' unless defined(&unw_get_cfm);
    eval 'sub unw_set_cfm {
        local($info,$val) = @_;
	    eval q({ *($info)-> &cfm_loc = $val; 0; });
    }' unless defined(&unw_set_cfm);
    eval 'sub unw_get_rp {
        local($info,$val) = @_;
	    eval q({  &if (! ($info->{rp_loc})) -1; *$val = * ($info->{rp_loc}); 0; });
    }' unless defined(&unw_get_rp);
    eval 'sub unw_set_gr {
        local($i,$n,$v,$nat) = @_;
	    eval q({  &unw_access_gr($i, $n, $v, $nat, 1); });
    }' unless defined(&unw_set_gr);
    eval 'sub unw_set_br {
        local($i,$n,$v) = @_;
	    eval q({  &unw_access_br($i, $n, $v, 1); });
    }' unless defined(&unw_set_br);
    eval 'sub unw_set_fr {
        local($i,$n,$v) = @_;
	    eval q({  &unw_access_fr($i, $n, $v, 1); });
    }' unless defined(&unw_set_fr);
    eval 'sub unw_set_ar {
        local($i,$n,$v) = @_;
	    eval q({  &unw_access_ar($i, $n, $v, 1); });
    }' unless defined(&unw_set_ar);
    eval 'sub unw_set_pr {
        local($i,$v) = @_;
	    eval q({  &unw_access_pr($i, $v, 1); });
    }' unless defined(&unw_set_pr);
    eval 'sub unw_get_gr {
        local($i,$n,$v,$nat) = @_;
	    eval q( &unw_access_gr($i,$n,$v,$nat,0));
    }' unless defined(&unw_get_gr);
    eval 'sub unw_get_br {
        local($i,$n,$v) = @_;
	    eval q( &unw_access_br($i,$n,$v,0));
    }' unless defined(&unw_get_br);
    eval 'sub unw_get_fr {
        local($i,$n,$v) = @_;
	    eval q( &unw_access_fr($i,$n,$v,0));
    }' unless defined(&unw_get_fr);
    eval 'sub unw_get_ar {
        local($i,$n,$v) = @_;
	    eval q( &unw_access_ar($i,$n,$v,0));
    }' unless defined(&unw_get_ar);
    eval 'sub unw_get_pr {
        local($i,$v) = @_;
	    eval q( &unw_access_pr($i,$v,0));
    }' unless defined(&unw_get_pr);
}
1;
