require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&AUTOCONF_INCLUDED)) {
    sub AUTOCONF_INCLUDED () {	1;}
}
unless(defined(&CONFIG_EXPERIMENTAL)) {
    sub CONFIG_EXPERIMENTAL () {	1;}
}
undef(&CONFIG_CLEAN_COMPILE) if defined(&CONFIG_CLEAN_COMPILE);
unless(defined(&CONFIG_BROKEN)) {
    sub CONFIG_BROKEN () {	1;}
}
unless(defined(&CONFIG_BROKEN_ON_SMP)) {
    sub CONFIG_BROKEN_ON_SMP () {	1;}
}
unless(defined(&CONFIG_SWAP)) {
    sub CONFIG_SWAP () {	1;}
}
unless(defined(&CONFIG_SYSVIPC)) {
    sub CONFIG_SYSVIPC () {	1;}
}
unless(defined(&CONFIG_POSIX_MQUEUE)) {
    sub CONFIG_POSIX_MQUEUE () {	1;}
}
unless(defined(&CONFIG_BSD_PROCESS_ACCT)) {
    sub CONFIG_BSD_PROCESS_ACCT () {	1;}
}
undef(&CONFIG_BSD_PROCESS_ACCT_V3) if defined(&CONFIG_BSD_PROCESS_ACCT_V3);
unless(defined(&CONFIG_SYSCTL)) {
    sub CONFIG_SYSCTL () {	1;}
}
undef(&CONFIG_AUDIT) if defined(&CONFIG_AUDIT);
unless(defined(&CONFIG_LOG_BUF_SHIFT)) {
    sub CONFIG_LOG_BUF_SHIFT () {	16;}
}
unless(defined(&CONFIG_HOTPLUG)) {
    sub CONFIG_HOTPLUG () {	1;}
}
unless(defined(&CONFIG_IKCONFIG)) {
    sub CONFIG_IKCONFIG () {	1;}
}
unless(defined(&CONFIG_IKCONFIG_PROC)) {
    sub CONFIG_IKCONFIG_PROC () {	1;}
}
undef(&CONFIG_EMBEDDED) if defined(&CONFIG_EMBEDDED);
unless(defined(&CONFIG_KALLSYMS)) {
    sub CONFIG_KALLSYMS () {	1;}
}
undef(&CONFIG_KALLSYMS_ALL) if defined(&CONFIG_KALLSYMS_ALL);
undef(&CONFIG_KALLSYMS_EXTRA_PASS) if defined(&CONFIG_KALLSYMS_EXTRA_PASS);
unless(defined(&CONFIG_FUTEX)) {
    sub CONFIG_FUTEX () {	1;}
}
unless(defined(&CONFIG_EPOLL)) {
    sub CONFIG_EPOLL () {	1;}
}
unless(defined(&CONFIG_IOSCHED_NOOP)) {
    sub CONFIG_IOSCHED_NOOP () {	1;}
}
unless(defined(&CONFIG_IOSCHED_AS)) {
    sub CONFIG_IOSCHED_AS () {	1;}
}
unless(defined(&CONFIG_IOSCHED_DEADLINE)) {
    sub CONFIG_IOSCHED_DEADLINE () {	1;}
}
unless(defined(&CONFIG_IOSCHED_CFQ)) {
    sub CONFIG_IOSCHED_CFQ () {	1;}
}
undef(&CONFIG_CC_OPTIMIZE_FOR_SIZE) if defined(&CONFIG_CC_OPTIMIZE_FOR_SIZE);
unless(defined(&CONFIG_MODULES)) {
    sub CONFIG_MODULES () {	1;}
}
unless(defined(&CONFIG_MODULE_UNLOAD)) {
    sub CONFIG_MODULE_UNLOAD () {	1;}
}
unless(defined(&CONFIG_MODULE_FORCE_UNLOAD)) {
    sub CONFIG_MODULE_FORCE_UNLOAD () {	1;}
}
unless(defined(&CONFIG_OBSOLETE_MODPARM)) {
    sub CONFIG_OBSOLETE_MODPARM () {	1;}
}
unless(defined(&CONFIG_MODVERSIONS)) {
    sub CONFIG_MODVERSIONS () {	1;}
}
unless(defined(&CONFIG_KMOD)) {
    sub CONFIG_KMOD () {	1;}
}
unless(defined(&CONFIG_STOP_MACHINE)) {
    sub CONFIG_STOP_MACHINE () {	1;}
}
unless(defined(&CONFIG_IA64)) {
    sub CONFIG_IA64 () {	1;}
}
unless(defined(&CONFIG_64BIT)) {
    sub CONFIG_64BIT () {	1;}
}
unless(defined(&CONFIG_MMU)) {
    sub CONFIG_MMU () {	1;}
}
unless(defined(&CONFIG_RWSEM_XCHGADD_ALGORITHM)) {
    sub CONFIG_RWSEM_XCHGADD_ALGORITHM () {	1;}
}
unless(defined(&CONFIG_TIME_INTERPOLATION)) {
    sub CONFIG_TIME_INTERPOLATION () {	1;}
}
unless(defined(&CONFIG_EFI)) {
    sub CONFIG_EFI () {	1;}
}
undef(&CONFIG_IA64_GENERIC) if defined(&CONFIG_IA64_GENERIC);
undef(&CONFIG_IA64_DIG) if defined(&CONFIG_IA64_DIG);
unless(defined(&CONFIG_IA64_HP_ZX1)) {
    sub CONFIG_IA64_HP_ZX1 () {	1;}
}
undef(&CONFIG_IA64_SGI_SN2) if defined(&CONFIG_IA64_SGI_SN2);
undef(&CONFIG_IA64_HP_SIM) if defined(&CONFIG_IA64_HP_SIM);
undef(&CONFIG_ITANIUM) if defined(&CONFIG_ITANIUM);
unless(defined(&CONFIG_MCKINLEY)) {
    sub CONFIG_MCKINLEY () {	1;}
}
undef(&CONFIG_IA64_PAGE_SIZE_4KB) if defined(&CONFIG_IA64_PAGE_SIZE_4KB);
undef(&CONFIG_IA64_PAGE_SIZE_8KB) if defined(&CONFIG_IA64_PAGE_SIZE_8KB);
unless(defined(&CONFIG_IA64_PAGE_SIZE_16KB)) {
    sub CONFIG_IA64_PAGE_SIZE_16KB () {	1;}
}
undef(&CONFIG_IA64_PAGE_SIZE_64KB) if defined(&CONFIG_IA64_PAGE_SIZE_64KB);
unless(defined(&CONFIG_IA64_L1_CACHE_SHIFT)) {
    sub CONFIG_IA64_L1_CACHE_SHIFT () {	7;}
}
undef(&CONFIG_NUMA) if defined(&CONFIG_NUMA);
unless(defined(&CONFIG_VIRTUAL_MEM_MAP)) {
    sub CONFIG_VIRTUAL_MEM_MAP () {	1;}
}
undef(&CONFIG_IA64_CYCLONE) if defined(&CONFIG_IA64_CYCLONE);
unless(defined(&CONFIG_IOSAPIC)) {
    sub CONFIG_IOSAPIC () {	1;}
}
unless(defined(&CONFIG_FORCE_MAX_ZONEORDER)) {
    sub CONFIG_FORCE_MAX_ZONEORDER () {	18;}
}
unless(defined(&CONFIG_SMP)) {
    sub CONFIG_SMP () {	1;}
}
unless(defined(&CONFIG_NR_CPUS)) {
    sub CONFIG_NR_CPUS () {	16;}
}
undef(&CONFIG_HOTPLUG_CPU) if defined(&CONFIG_HOTPLUG_CPU);
undef(&CONFIG_PREEMPT) if defined(&CONFIG_PREEMPT);
unless(defined(&CONFIG_HAVE_DEC_LOCK)) {
    sub CONFIG_HAVE_DEC_LOCK () {	1;}
}
unless(defined(&CONFIG_IA32_SUPPORT)) {
    sub CONFIG_IA32_SUPPORT () {	1;}
}
unless(defined(&CONFIG_COMPAT)) {
    sub CONFIG_COMPAT () {	1;}
}
unless(defined(&CONFIG_PERFMON)) {
    sub CONFIG_PERFMON () {	1;}
}
unless(defined(&CONFIG_IA64_PALINFO)) {
    sub CONFIG_IA64_PALINFO () {	1;}
}
unless(defined(&CONFIG_EFI_VARS)) {
    sub CONFIG_EFI_VARS () {	1;}
}
unless(defined(&CONFIG_EFI_PCDP)) {
    sub CONFIG_EFI_PCDP () {	1;}
}
unless(defined(&CONFIG_BINFMT_ELF)) {
    sub CONFIG_BINFMT_ELF () {	1;}
}
unless(defined(&CONFIG_BINFMT_MISC)) {
    sub CONFIG_BINFMT_MISC () {	1;}
}
unless(defined(&CONFIG_PM)) {
    sub CONFIG_PM () {	1;}
}
unless(defined(&CONFIG_ACPI)) {
    sub CONFIG_ACPI () {	1;}
}
unless(defined(&CONFIG_ACPI_BOOT)) {
    sub CONFIG_ACPI_BOOT () {	1;}
}
unless(defined(&CONFIG_ACPI_INTERPRETER)) {
    sub CONFIG_ACPI_INTERPRETER () {	1;}
}
unless(defined(&CONFIG_ACPI_BUTTON)) {
    sub CONFIG_ACPI_BUTTON () {	1;}
}
unless(defined(&CONFIG_ACPI_FAN)) {
    sub CONFIG_ACPI_FAN () {	1;}
}
unless(defined(&CONFIG_ACPI_PROCESSOR)) {
    sub CONFIG_ACPI_PROCESSOR () {	1;}
}
unless(defined(&CONFIG_ACPI_THERMAL)) {
    sub CONFIG_ACPI_THERMAL () {	1;}
}
undef(&CONFIG_ACPI_DEBUG) if defined(&CONFIG_ACPI_DEBUG);
unless(defined(&CONFIG_ACPI_BUS)) {
    sub CONFIG_ACPI_BUS () {	1;}
}
unless(defined(&CONFIG_ACPI_POWER)) {
    sub CONFIG_ACPI_POWER () {	1;}
}
unless(defined(&CONFIG_ACPI_PCI)) {
    sub CONFIG_ACPI_PCI () {	1;}
}
unless(defined(&CONFIG_ACPI_SYSTEM)) {
    sub CONFIG_ACPI_SYSTEM () {	1;}
}
unless(defined(&CONFIG_PCI)) {
    sub CONFIG_PCI () {	1;}
}
unless(defined(&CONFIG_PCI_DOMAINS)) {
    sub CONFIG_PCI_DOMAINS () {	1;}
}
undef(&CONFIG_PCI_MSI) if defined(&CONFIG_PCI_MSI);
unless(defined(&CONFIG_PCI_LEGACY_PROC)) {
    sub CONFIG_PCI_LEGACY_PROC () {	1;}
}
unless(defined(&CONFIG_PCI_NAMES)) {
    sub CONFIG_PCI_NAMES () {	1;}
}
undef(&CONFIG_HOTPLUG_PCI) if defined(&CONFIG_HOTPLUG_PCI);
undef(&CONFIG_PCMCIA) if defined(&CONFIG_PCMCIA);
undef(&CONFIG_STANDALONE) if defined(&CONFIG_STANDALONE);
unless(defined(&CONFIG_PREVENT_FIRMWARE_BUILD)) {
    sub CONFIG_PREVENT_FIRMWARE_BUILD () {	1;}
}
undef(&CONFIG_FW_LOADER) if defined(&CONFIG_FW_LOADER);
undef(&CONFIG_DEBUG_DRIVER) if defined(&CONFIG_DEBUG_DRIVER);
undef(&CONFIG_MTD) if defined(&CONFIG_MTD);
undef(&CONFIG_PARPORT) if defined(&CONFIG_PARPORT);
undef(&CONFIG_BLK_CPQ_DA) if defined(&CONFIG_BLK_CPQ_DA);
undef(&CONFIG_BLK_CPQ_CISS_DA) if defined(&CONFIG_BLK_CPQ_CISS_DA);
undef(&CONFIG_BLK_DEV_DAC960) if defined(&CONFIG_BLK_DEV_DAC960);
undef(&CONFIG_BLK_DEV_UMEM) if defined(&CONFIG_BLK_DEV_UMEM);
unless(defined(&CONFIG_BLK_DEV_LOOP)) {
    sub CONFIG_BLK_DEV_LOOP () {	1;}
}
undef(&CONFIG_BLK_DEV_CRYPTOLOOP) if defined(&CONFIG_BLK_DEV_CRYPTOLOOP);
undef(&CONFIG_BLK_DEV_NBD) if defined(&CONFIG_BLK_DEV_NBD);
undef(&CONFIG_BLK_DEV_SX8) if defined(&CONFIG_BLK_DEV_SX8);
unless(defined(&CONFIG_BLK_DEV_RAM)) {
    sub CONFIG_BLK_DEV_RAM () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_RAM_SIZE)) {
    sub CONFIG_BLK_DEV_RAM_SIZE () {	4096;}
}
unless(defined(&CONFIG_BLK_DEV_INITRD)) {
    sub CONFIG_BLK_DEV_INITRD () {	1;}
}
unless(defined(&CONFIG_IDE)) {
    sub CONFIG_IDE () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_IDE)) {
    sub CONFIG_BLK_DEV_IDE () {	1;}
}
undef(&CONFIG_BLK_DEV_IDE_SATA) if defined(&CONFIG_BLK_DEV_IDE_SATA);
unless(defined(&CONFIG_BLK_DEV_IDEDISK)) {
    sub CONFIG_BLK_DEV_IDEDISK () {	1;}
}
unless(defined(&CONFIG_IDEDISK_MULTI_MODE)) {
    sub CONFIG_IDEDISK_MULTI_MODE () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_IDECD)) {
    sub CONFIG_BLK_DEV_IDECD () {	1;}
}
undef(&CONFIG_BLK_DEV_IDETAPE) if defined(&CONFIG_BLK_DEV_IDETAPE);
unless(defined(&CONFIG_BLK_DEV_IDEFLOPPY_MODULE)) {
    sub CONFIG_BLK_DEV_IDEFLOPPY_MODULE () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_IDESCSI_MODULE)) {
    sub CONFIG_BLK_DEV_IDESCSI_MODULE () {	1;}
}
unless(defined(&CONFIG_IDE_TASK_IOCTL)) {
    sub CONFIG_IDE_TASK_IOCTL () {	1;}
}
unless(defined(&CONFIG_IDE_TASKFILE_IO)) {
    sub CONFIG_IDE_TASKFILE_IO () {	1;}
}
undef(&CONFIG_IDE_GENERIC) if defined(&CONFIG_IDE_GENERIC);
unless(defined(&CONFIG_BLK_DEV_IDEPCI)) {
    sub CONFIG_BLK_DEV_IDEPCI () {	1;}
}
unless(defined(&CONFIG_IDEPCI_SHARE_IRQ)) {
    sub CONFIG_IDEPCI_SHARE_IRQ () {	1;}
}
undef(&CONFIG_BLK_DEV_OFFBOARD) if defined(&CONFIG_BLK_DEV_OFFBOARD);
unless(defined(&CONFIG_BLK_DEV_GENERIC)) {
    sub CONFIG_BLK_DEV_GENERIC () {	1;}
}
undef(&CONFIG_BLK_DEV_OPTI621) if defined(&CONFIG_BLK_DEV_OPTI621);
unless(defined(&CONFIG_BLK_DEV_IDEDMA_PCI)) {
    sub CONFIG_BLK_DEV_IDEDMA_PCI () {	1;}
}
undef(&CONFIG_BLK_DEV_IDEDMA_FORCED) if defined(&CONFIG_BLK_DEV_IDEDMA_FORCED);
unless(defined(&CONFIG_IDEDMA_PCI_AUTO)) {
    sub CONFIG_IDEDMA_PCI_AUTO () {	1;}
}
undef(&CONFIG_IDEDMA_ONLYDISK) if defined(&CONFIG_IDEDMA_ONLYDISK);
unless(defined(&CONFIG_BLK_DEV_ADMA)) {
    sub CONFIG_BLK_DEV_ADMA () {	1;}
}
undef(&CONFIG_BLK_DEV_AEC62XX) if defined(&CONFIG_BLK_DEV_AEC62XX);
undef(&CONFIG_BLK_DEV_ALI15X3) if defined(&CONFIG_BLK_DEV_ALI15X3);
undef(&CONFIG_BLK_DEV_AMD74XX) if defined(&CONFIG_BLK_DEV_AMD74XX);
unless(defined(&CONFIG_BLK_DEV_CMD64X)) {
    sub CONFIG_BLK_DEV_CMD64X () {	1;}
}
undef(&CONFIG_BLK_DEV_TRIFLEX) if defined(&CONFIG_BLK_DEV_TRIFLEX);
undef(&CONFIG_BLK_DEV_CY82C693) if defined(&CONFIG_BLK_DEV_CY82C693);
undef(&CONFIG_BLK_DEV_CS5520) if defined(&CONFIG_BLK_DEV_CS5520);
undef(&CONFIG_BLK_DEV_CS5530) if defined(&CONFIG_BLK_DEV_CS5530);
undef(&CONFIG_BLK_DEV_HPT34X) if defined(&CONFIG_BLK_DEV_HPT34X);
undef(&CONFIG_BLK_DEV_HPT366) if defined(&CONFIG_BLK_DEV_HPT366);
undef(&CONFIG_BLK_DEV_SC1200) if defined(&CONFIG_BLK_DEV_SC1200);
undef(&CONFIG_BLK_DEV_PIIX) if defined(&CONFIG_BLK_DEV_PIIX);
undef(&CONFIG_BLK_DEV_NS87415) if defined(&CONFIG_BLK_DEV_NS87415);
undef(&CONFIG_BLK_DEV_PDC202XX_OLD) if defined(&CONFIG_BLK_DEV_PDC202XX_OLD);
undef(&CONFIG_BLK_DEV_PDC202XX_NEW) if defined(&CONFIG_BLK_DEV_PDC202XX_NEW);
undef(&CONFIG_BLK_DEV_SVWKS) if defined(&CONFIG_BLK_DEV_SVWKS);
unless(defined(&CONFIG_BLK_DEV_SIIMAGE)) {
    sub CONFIG_BLK_DEV_SIIMAGE () {	1;}
}
undef(&CONFIG_BLK_DEV_SLC90E66) if defined(&CONFIG_BLK_DEV_SLC90E66);
undef(&CONFIG_BLK_DEV_TRM290) if defined(&CONFIG_BLK_DEV_TRM290);
undef(&CONFIG_BLK_DEV_VIA82CXXX) if defined(&CONFIG_BLK_DEV_VIA82CXXX);
undef(&CONFIG_IDE_ARM) if defined(&CONFIG_IDE_ARM);
unless(defined(&CONFIG_BLK_DEV_IDEDMA)) {
    sub CONFIG_BLK_DEV_IDEDMA () {	1;}
}
undef(&CONFIG_IDEDMA_IVB) if defined(&CONFIG_IDEDMA_IVB);
unless(defined(&CONFIG_IDEDMA_AUTO)) {
    sub CONFIG_IDEDMA_AUTO () {	1;}
}
undef(&CONFIG_BLK_DEV_HD) if defined(&CONFIG_BLK_DEV_HD);
unless(defined(&CONFIG_SCSI)) {
    sub CONFIG_SCSI () {	1;}
}
unless(defined(&CONFIG_SCSI_PROC_FS)) {
    sub CONFIG_SCSI_PROC_FS () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_SD)) {
    sub CONFIG_BLK_DEV_SD () {	1;}
}
unless(defined(&CONFIG_CHR_DEV_ST)) {
    sub CONFIG_CHR_DEV_ST () {	1;}
}
unless(defined(&CONFIG_CHR_DEV_OSST)) {
    sub CONFIG_CHR_DEV_OSST () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_SR)) {
    sub CONFIG_BLK_DEV_SR () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_SR_VENDOR)) {
    sub CONFIG_BLK_DEV_SR_VENDOR () {	1;}
}
unless(defined(&CONFIG_CHR_DEV_SG)) {
    sub CONFIG_CHR_DEV_SG () {	1;}
}
unless(defined(&CONFIG_SCSI_MULTI_LUN)) {
    sub CONFIG_SCSI_MULTI_LUN () {	1;}
}
unless(defined(&CONFIG_SCSI_CONSTANTS)) {
    sub CONFIG_SCSI_CONSTANTS () {	1;}
}
unless(defined(&CONFIG_SCSI_LOGGING)) {
    sub CONFIG_SCSI_LOGGING () {	1;}
}
unless(defined(&CONFIG_SCSI_SPI_ATTRS)) {
    sub CONFIG_SCSI_SPI_ATTRS () {	1;}
}
undef(&CONFIG_SCSI_FC_ATTRS) if defined(&CONFIG_SCSI_FC_ATTRS);
undef(&CONFIG_BLK_DEV_3W_XXXX_RAID) if defined(&CONFIG_BLK_DEV_3W_XXXX_RAID);
undef(&CONFIG_SCSI_3W_9XXX) if defined(&CONFIG_SCSI_3W_9XXX);
undef(&CONFIG_SCSI_ACARD) if defined(&CONFIG_SCSI_ACARD);
undef(&CONFIG_SCSI_AACRAID) if defined(&CONFIG_SCSI_AACRAID);
undef(&CONFIG_SCSI_AIC7XXX) if defined(&CONFIG_SCSI_AIC7XXX);
unless(defined(&CONFIG_SCSI_AIC7XXX_OLD)) {
    sub CONFIG_SCSI_AIC7XXX_OLD () {	1;}
}
undef(&CONFIG_SCSI_AIC79XX) if defined(&CONFIG_SCSI_AIC79XX);
undef(&CONFIG_SCSI_ADVANSYS) if defined(&CONFIG_SCSI_ADVANSYS);
unless(defined(&CONFIG_SCSI_MEGARAID)) {
    sub CONFIG_SCSI_MEGARAID () {	1;}
}
undef(&CONFIG_SCSI_SATA) if defined(&CONFIG_SCSI_SATA);
undef(&CONFIG_SCSI_BUSLOGIC) if defined(&CONFIG_SCSI_BUSLOGIC);
undef(&CONFIG_SCSI_CPQFCTS) if defined(&CONFIG_SCSI_CPQFCTS);
undef(&CONFIG_SCSI_DMX3191D) if defined(&CONFIG_SCSI_DMX3191D);
undef(&CONFIG_SCSI_EATA) if defined(&CONFIG_SCSI_EATA);
undef(&CONFIG_SCSI_EATA_PIO) if defined(&CONFIG_SCSI_EATA_PIO);
undef(&CONFIG_SCSI_FUTURE_DOMAIN) if defined(&CONFIG_SCSI_FUTURE_DOMAIN);
undef(&CONFIG_SCSI_GDTH) if defined(&CONFIG_SCSI_GDTH);
undef(&CONFIG_SCSI_IPS) if defined(&CONFIG_SCSI_IPS);
undef(&CONFIG_SCSI_INITIO) if defined(&CONFIG_SCSI_INITIO);
undef(&CONFIG_SCSI_INIA100) if defined(&CONFIG_SCSI_INIA100);
unless(defined(&CONFIG_SCSI_SYM53C8XX_2)) {
    sub CONFIG_SCSI_SYM53C8XX_2 () {	1;}
}
unless(defined(&CONFIG_SCSI_SYM53C8XX_DMA_ADDRESSING_MODE)) {
    sub CONFIG_SCSI_SYM53C8XX_DMA_ADDRESSING_MODE () {	1;}
}
unless(defined(&CONFIG_SCSI_SYM53C8XX_DEFAULT_TAGS)) {
    sub CONFIG_SCSI_SYM53C8XX_DEFAULT_TAGS () {	16;}
}
unless(defined(&CONFIG_SCSI_SYM53C8XX_MAX_TAGS)) {
    sub CONFIG_SCSI_SYM53C8XX_MAX_TAGS () {	64;}
}
undef(&CONFIG_SCSI_SYM53C8XX_IOMAPPED) if defined(&CONFIG_SCSI_SYM53C8XX_IOMAPPED);
undef(&CONFIG_SCSI_IPR) if defined(&CONFIG_SCSI_IPR);
undef(&CONFIG_SCSI_PCI2000) if defined(&CONFIG_SCSI_PCI2000);
undef(&CONFIG_SCSI_PCI2220I) if defined(&CONFIG_SCSI_PCI2220I);
undef(&CONFIG_SCSI_QLOGIC_ISP) if defined(&CONFIG_SCSI_QLOGIC_ISP);
undef(&CONFIG_SCSI_QLOGIC_FC) if defined(&CONFIG_SCSI_QLOGIC_FC);
unless(defined(&CONFIG_SCSI_QLOGIC_1280)) {
    sub CONFIG_SCSI_QLOGIC_1280 () {	1;}
}
unless(defined(&CONFIG_SCSI_QLA2XXX)) {
    sub CONFIG_SCSI_QLA2XXX () {	1;}
}
undef(&CONFIG_SCSI_QLA21XX) if defined(&CONFIG_SCSI_QLA21XX);
undef(&CONFIG_SCSI_QLA22XX) if defined(&CONFIG_SCSI_QLA22XX);
undef(&CONFIG_SCSI_QLA2300) if defined(&CONFIG_SCSI_QLA2300);
undef(&CONFIG_SCSI_QLA2322) if defined(&CONFIG_SCSI_QLA2322);
undef(&CONFIG_SCSI_QLA6312) if defined(&CONFIG_SCSI_QLA6312);
undef(&CONFIG_SCSI_QLA6322) if defined(&CONFIG_SCSI_QLA6322);
undef(&CONFIG_SCSI_DC395x) if defined(&CONFIG_SCSI_DC395x);
undef(&CONFIG_SCSI_DC390T) if defined(&CONFIG_SCSI_DC390T);
undef(&CONFIG_SCSI_DEBUG) if defined(&CONFIG_SCSI_DEBUG);
unless(defined(&CONFIG_MD)) {
    sub CONFIG_MD () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_MD_MODULE)) {
    sub CONFIG_BLK_DEV_MD_MODULE () {	1;}
}
unless(defined(&CONFIG_MD_LINEAR_MODULE)) {
    sub CONFIG_MD_LINEAR_MODULE () {	1;}
}
unless(defined(&CONFIG_MD_RAID0_MODULE)) {
    sub CONFIG_MD_RAID0_MODULE () {	1;}
}
unless(defined(&CONFIG_MD_RAID1_MODULE)) {
    sub CONFIG_MD_RAID1_MODULE () {	1;}
}
unless(defined(&CONFIG_MD_RAID5_MODULE)) {
    sub CONFIG_MD_RAID5_MODULE () {	1;}
}
undef(&CONFIG_MD_RAID6) if defined(&CONFIG_MD_RAID6);
unless(defined(&CONFIG_MD_MULTIPATH_MODULE)) {
    sub CONFIG_MD_MULTIPATH_MODULE () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_DM_MODULE)) {
    sub CONFIG_BLK_DEV_DM_MODULE () {	1;}
}
undef(&CONFIG_DM_CRYPT) if defined(&CONFIG_DM_CRYPT);
undef(&CONFIG_DM_SNAPSHOT) if defined(&CONFIG_DM_SNAPSHOT);
undef(&CONFIG_DM_MIRROR) if defined(&CONFIG_DM_MIRROR);
undef(&CONFIG_DM_ZERO) if defined(&CONFIG_DM_ZERO);
unless(defined(&CONFIG_FUSION)) {
    sub CONFIG_FUSION () {	1;}
}
unless(defined(&CONFIG_FUSION_MAX_SGE)) {
    sub CONFIG_FUSION_MAX_SGE () {	40;}
}
undef(&CONFIG_FUSION_ISENSE) if defined(&CONFIG_FUSION_ISENSE);
undef(&CONFIG_FUSION_CTL) if defined(&CONFIG_FUSION_CTL);
undef(&CONFIG_IEEE1394) if defined(&CONFIG_IEEE1394);
undef(&CONFIG_I2O) if defined(&CONFIG_I2O);
unless(defined(&CONFIG_NET)) {
    sub CONFIG_NET () {	1;}
}
unless(defined(&CONFIG_PACKET)) {
    sub CONFIG_PACKET () {	1;}
}
undef(&CONFIG_PACKET_MMAP) if defined(&CONFIG_PACKET_MMAP);
undef(&CONFIG_NETLINK_DEV) if defined(&CONFIG_NETLINK_DEV);
unless(defined(&CONFIG_UNIX)) {
    sub CONFIG_UNIX () {	1;}
}
undef(&CONFIG_NET_KEY) if defined(&CONFIG_NET_KEY);
unless(defined(&CONFIG_INET)) {
    sub CONFIG_INET () {	1;}
}
unless(defined(&CONFIG_IP_MULTICAST)) {
    sub CONFIG_IP_MULTICAST () {	1;}
}
undef(&CONFIG_IP_ADVANCED_ROUTER) if defined(&CONFIG_IP_ADVANCED_ROUTER);
undef(&CONFIG_IP_PNP) if defined(&CONFIG_IP_PNP);
undef(&CONFIG_NET_IPIP) if defined(&CONFIG_NET_IPIP);
undef(&CONFIG_NET_IPGRE) if defined(&CONFIG_NET_IPGRE);
undef(&CONFIG_IP_MROUTE) if defined(&CONFIG_IP_MROUTE);
undef(&CONFIG_ARPD) if defined(&CONFIG_ARPD);
undef(&CONFIG_SYN_COOKIES) if defined(&CONFIG_SYN_COOKIES);
undef(&CONFIG_INET_AH) if defined(&CONFIG_INET_AH);
undef(&CONFIG_INET_ESP) if defined(&CONFIG_INET_ESP);
undef(&CONFIG_INET_IPCOMP) if defined(&CONFIG_INET_IPCOMP);
undef(&CONFIG_IP_VS) if defined(&CONFIG_IP_VS);
undef(&CONFIG_IPV6) if defined(&CONFIG_IPV6);
unless(defined(&CONFIG_NETFILTER)) {
    sub CONFIG_NETFILTER () {	1;}
}
undef(&CONFIG_NETFILTER_DEBUG) if defined(&CONFIG_NETFILTER_DEBUG);
undef(&CONFIG_IP_NF_CONNTRACK) if defined(&CONFIG_IP_NF_CONNTRACK);
undef(&CONFIG_IP_NF_QUEUE) if defined(&CONFIG_IP_NF_QUEUE);
undef(&CONFIG_IP_NF_IPTABLES) if defined(&CONFIG_IP_NF_IPTABLES);
unless(defined(&CONFIG_IP_NF_ARPTABLES)) {
    sub CONFIG_IP_NF_ARPTABLES () {	1;}
}
undef(&CONFIG_IP_NF_ARPFILTER) if defined(&CONFIG_IP_NF_ARPFILTER);
undef(&CONFIG_IP_NF_ARP_MANGLE) if defined(&CONFIG_IP_NF_ARP_MANGLE);
undef(&CONFIG_IP_NF_COMPAT_IPCHAINS) if defined(&CONFIG_IP_NF_COMPAT_IPCHAINS);
undef(&CONFIG_IP_NF_COMPAT_IPFWADM) if defined(&CONFIG_IP_NF_COMPAT_IPFWADM);
undef(&CONFIG_IP_SCTP) if defined(&CONFIG_IP_SCTP);
undef(&CONFIG_ATM) if defined(&CONFIG_ATM);
undef(&CONFIG_BRIDGE) if defined(&CONFIG_BRIDGE);
undef(&CONFIG_VLAN_8021Q) if defined(&CONFIG_VLAN_8021Q);
undef(&CONFIG_DECNET) if defined(&CONFIG_DECNET);
undef(&CONFIG_LLC2) if defined(&CONFIG_LLC2);
undef(&CONFIG_IPX) if defined(&CONFIG_IPX);
undef(&CONFIG_ATALK) if defined(&CONFIG_ATALK);
undef(&CONFIG_X25) if defined(&CONFIG_X25);
undef(&CONFIG_LAPB) if defined(&CONFIG_LAPB);
undef(&CONFIG_NET_DIVERT) if defined(&CONFIG_NET_DIVERT);
undef(&CONFIG_ECONET) if defined(&CONFIG_ECONET);
undef(&CONFIG_WAN_ROUTER) if defined(&CONFIG_WAN_ROUTER);
undef(&CONFIG_NET_HW_FLOWCONTROL) if defined(&CONFIG_NET_HW_FLOWCONTROL);
undef(&CONFIG_NET_SCHED) if defined(&CONFIG_NET_SCHED);
undef(&CONFIG_NET_CLS_ROUTE) if defined(&CONFIG_NET_CLS_ROUTE);
undef(&CONFIG_NET_PKTGEN) if defined(&CONFIG_NET_PKTGEN);
undef(&CONFIG_NETPOLL) if defined(&CONFIG_NETPOLL);
undef(&CONFIG_NET_POLL_CONTROLLER) if defined(&CONFIG_NET_POLL_CONTROLLER);
undef(&CONFIG_HAMRADIO) if defined(&CONFIG_HAMRADIO);
undef(&CONFIG_IRDA) if defined(&CONFIG_IRDA);
undef(&CONFIG_BT) if defined(&CONFIG_BT);
unless(defined(&CONFIG_NETDEVICES)) {
    sub CONFIG_NETDEVICES () {	1;}
}
unless(defined(&CONFIG_DUMMY)) {
    sub CONFIG_DUMMY () {	1;}
}
unless(defined(&CONFIG_BONDING)) {
    sub CONFIG_BONDING () {	1;}
}
undef(&CONFIG_EQUALIZER) if defined(&CONFIG_EQUALIZER);
undef(&CONFIG_TUN) if defined(&CONFIG_TUN);
undef(&CONFIG_ARCNET) if defined(&CONFIG_ARCNET);
unless(defined(&CONFIG_NET_ETHERNET)) {
    sub CONFIG_NET_ETHERNET () {	1;}
}
unless(defined(&CONFIG_MII)) {
    sub CONFIG_MII () {	1;}
}
undef(&CONFIG_HAPPYMEAL) if defined(&CONFIG_HAPPYMEAL);
undef(&CONFIG_SUNGEM) if defined(&CONFIG_SUNGEM);
undef(&CONFIG_NET_VENDOR_3COM) if defined(&CONFIG_NET_VENDOR_3COM);
undef(&CONFIG_NET_TULIP) if defined(&CONFIG_NET_TULIP);
undef(&CONFIG_HP100) if defined(&CONFIG_HP100);
unless(defined(&CONFIG_NET_PCI)) {
    sub CONFIG_NET_PCI () {	1;}
}
undef(&CONFIG_PCNET32) if defined(&CONFIG_PCNET32);
undef(&CONFIG_AMD8111_ETH) if defined(&CONFIG_AMD8111_ETH);
undef(&CONFIG_ADAPTEC_STARFIRE) if defined(&CONFIG_ADAPTEC_STARFIRE);
undef(&CONFIG_B44) if defined(&CONFIG_B44);
undef(&CONFIG_FORCEDETH) if defined(&CONFIG_FORCEDETH);
undef(&CONFIG_DGRS) if defined(&CONFIG_DGRS);
unless(defined(&CONFIG_EEPRO100)) {
    sub CONFIG_EEPRO100 () {	1;}
}
undef(&CONFIG_EEPRO100_PIO) if defined(&CONFIG_EEPRO100_PIO);
undef(&CONFIG_E100) if defined(&CONFIG_E100);
undef(&CONFIG_FEALNX) if defined(&CONFIG_FEALNX);
undef(&CONFIG_NATSEMI) if defined(&CONFIG_NATSEMI);
undef(&CONFIG_NE2K_PCI) if defined(&CONFIG_NE2K_PCI);
undef(&CONFIG_8139CP) if defined(&CONFIG_8139CP);
undef(&CONFIG_8139TOO) if defined(&CONFIG_8139TOO);
undef(&CONFIG_SIS900) if defined(&CONFIG_SIS900);
undef(&CONFIG_EPIC100) if defined(&CONFIG_EPIC100);
undef(&CONFIG_SUNDANCE) if defined(&CONFIG_SUNDANCE);
undef(&CONFIG_VIA_RHINE) if defined(&CONFIG_VIA_RHINE);
undef(&CONFIG_VIA_VELOCITY) if defined(&CONFIG_VIA_VELOCITY);
undef(&CONFIG_ACENIC) if defined(&CONFIG_ACENIC);
undef(&CONFIG_DL2K) if defined(&CONFIG_DL2K);
unless(defined(&CONFIG_E1000)) {
    sub CONFIG_E1000 () {	1;}
}
undef(&CONFIG_E1000_NAPI) if defined(&CONFIG_E1000_NAPI);
undef(&CONFIG_NS83820) if defined(&CONFIG_NS83820);
undef(&CONFIG_HAMACHI) if defined(&CONFIG_HAMACHI);
undef(&CONFIG_YELLOWFIN) if defined(&CONFIG_YELLOWFIN);
undef(&CONFIG_R8169) if defined(&CONFIG_R8169);
undef(&CONFIG_SK98LIN) if defined(&CONFIG_SK98LIN);
unless(defined(&CONFIG_TIGON3)) {
    sub CONFIG_TIGON3 () {	1;}
}
undef(&CONFIG_IXGB) if defined(&CONFIG_IXGB);
undef(&CONFIG_S2IO) if defined(&CONFIG_S2IO);
undef(&CONFIG_TR) if defined(&CONFIG_TR);
undef(&CONFIG_NET_RADIO) if defined(&CONFIG_NET_RADIO);
undef(&CONFIG_WAN) if defined(&CONFIG_WAN);
undef(&CONFIG_FDDI) if defined(&CONFIG_FDDI);
undef(&CONFIG_HIPPI) if defined(&CONFIG_HIPPI);
undef(&CONFIG_PPP) if defined(&CONFIG_PPP);
undef(&CONFIG_SLIP) if defined(&CONFIG_SLIP);
undef(&CONFIG_NET_FC) if defined(&CONFIG_NET_FC);
undef(&CONFIG_SHAPER) if defined(&CONFIG_SHAPER);
undef(&CONFIG_NETCONSOLE) if defined(&CONFIG_NETCONSOLE);
undef(&CONFIG_ISDN) if defined(&CONFIG_ISDN);
undef(&CONFIG_PHONE) if defined(&CONFIG_PHONE);
unless(defined(&CONFIG_INPUT)) {
    sub CONFIG_INPUT () {	1;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV)) {
    sub CONFIG_INPUT_MOUSEDEV () {	1;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV_PSAUX)) {
    sub CONFIG_INPUT_MOUSEDEV_PSAUX () {	1;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV_SCREEN_X)) {
    sub CONFIG_INPUT_MOUSEDEV_SCREEN_X () {	1024;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV_SCREEN_Y)) {
    sub CONFIG_INPUT_MOUSEDEV_SCREEN_Y () {	768;}
}
unless(defined(&CONFIG_INPUT_JOYDEV)) {
    sub CONFIG_INPUT_JOYDEV () {	1;}
}
undef(&CONFIG_INPUT_TSDEV) if defined(&CONFIG_INPUT_TSDEV);
unless(defined(&CONFIG_INPUT_EVDEV)) {
    sub CONFIG_INPUT_EVDEV () {	1;}
}
undef(&CONFIG_INPUT_EVBUG) if defined(&CONFIG_INPUT_EVBUG);
undef(&CONFIG_GAMEPORT) if defined(&CONFIG_GAMEPORT);
unless(defined(&CONFIG_SOUND_GAMEPORT)) {
    sub CONFIG_SOUND_GAMEPORT () {	1;}
}
unless(defined(&CONFIG_SERIO)) {
    sub CONFIG_SERIO () {	1;}
}
undef(&CONFIG_SERIO_I8042) if defined(&CONFIG_SERIO_I8042);
undef(&CONFIG_SERIO_SERPORT) if defined(&CONFIG_SERIO_SERPORT);
undef(&CONFIG_SERIO_CT82C710) if defined(&CONFIG_SERIO_CT82C710);
undef(&CONFIG_SERIO_PCIPS2) if defined(&CONFIG_SERIO_PCIPS2);
undef(&CONFIG_INPUT_KEYBOARD) if defined(&CONFIG_INPUT_KEYBOARD);
undef(&CONFIG_INPUT_MOUSE) if defined(&CONFIG_INPUT_MOUSE);
undef(&CONFIG_INPUT_JOYSTICK) if defined(&CONFIG_INPUT_JOYSTICK);
undef(&CONFIG_INPUT_TOUCHSCREEN) if defined(&CONFIG_INPUT_TOUCHSCREEN);
undef(&CONFIG_INPUT_MISC) if defined(&CONFIG_INPUT_MISC);
unless(defined(&CONFIG_VT)) {
    sub CONFIG_VT () {	1;}
}
unless(defined(&CONFIG_VT_CONSOLE)) {
    sub CONFIG_VT_CONSOLE () {	1;}
}
unless(defined(&CONFIG_HW_CONSOLE)) {
    sub CONFIG_HW_CONSOLE () {	1;}
}
undef(&CONFIG_SERIAL_NONSTANDARD) if defined(&CONFIG_SERIAL_NONSTANDARD);
unless(defined(&CONFIG_SERIAL_8250)) {
    sub CONFIG_SERIAL_8250 () {	1;}
}
unless(defined(&CONFIG_SERIAL_8250_CONSOLE)) {
    sub CONFIG_SERIAL_8250_CONSOLE () {	1;}
}
unless(defined(&CONFIG_SERIAL_8250_ACPI)) {
    sub CONFIG_SERIAL_8250_ACPI () {	1;}
}
unless(defined(&CONFIG_SERIAL_8250_NR_UARTS)) {
    sub CONFIG_SERIAL_8250_NR_UARTS () {	4;}
}
undef(&CONFIG_SERIAL_8250_EXTENDED) if defined(&CONFIG_SERIAL_8250_EXTENDED);
unless(defined(&CONFIG_SERIAL_CORE)) {
    sub CONFIG_SERIAL_CORE () {	1;}
}
unless(defined(&CONFIG_SERIAL_CORE_CONSOLE)) {
    sub CONFIG_SERIAL_CORE_CONSOLE () {	1;}
}
unless(defined(&CONFIG_UNIX98_PTYS)) {
    sub CONFIG_UNIX98_PTYS () {	1;}
}
unless(defined(&CONFIG_LEGACY_PTYS)) {
    sub CONFIG_LEGACY_PTYS () {	1;}
}
unless(defined(&CONFIG_LEGACY_PTY_COUNT)) {
    sub CONFIG_LEGACY_PTY_COUNT () {	256;}
}
undef(&CONFIG_QIC02_TAPE) if defined(&CONFIG_QIC02_TAPE);
unless(defined(&CONFIG_IPMI_HANDLER_MODULE)) {
    sub CONFIG_IPMI_HANDLER_MODULE () {	1;}
}
unless(defined(&CONFIG_IPMI_PANIC_EVENT)) {
    sub CONFIG_IPMI_PANIC_EVENT () {	1;}
}
unless(defined(&CONFIG_IPMI_PANIC_STRING)) {
    sub CONFIG_IPMI_PANIC_STRING () {	1;}
}
unless(defined(&CONFIG_IPMI_DEVICE_INTERFACE_MODULE)) {
    sub CONFIG_IPMI_DEVICE_INTERFACE_MODULE () {	1;}
}
unless(defined(&CONFIG_IPMI_SI_MODULE)) {
    sub CONFIG_IPMI_SI_MODULE () {	1;}
}
unless(defined(&CONFIG_IPMI_WATCHDOG_MODULE)) {
    sub CONFIG_IPMI_WATCHDOG_MODULE () {	1;}
}
undef(&CONFIG_WATCHDOG) if defined(&CONFIG_WATCHDOG);
undef(&CONFIG_HW_RANDOM) if defined(&CONFIG_HW_RANDOM);
unless(defined(&CONFIG_EFI_RTC)) {
    sub CONFIG_EFI_RTC () {	1;}
}
undef(&CONFIG_DTLK) if defined(&CONFIG_DTLK);
undef(&CONFIG_R3964) if defined(&CONFIG_R3964);
undef(&CONFIG_APPLICOM) if defined(&CONFIG_APPLICOM);
unless(defined(&CONFIG_AGP_MODULE)) {
    sub CONFIG_AGP_MODULE () {	1;}
}
unless(defined(&CONFIG_AGP_HP_ZX1_MODULE)) {
    sub CONFIG_AGP_HP_ZX1_MODULE () {	1;}
}
unless(defined(&CONFIG_DRM)) {
    sub CONFIG_DRM () {	1;}
}
undef(&CONFIG_DRM_TDFX) if defined(&CONFIG_DRM_TDFX);
undef(&CONFIG_DRM_GAMMA) if defined(&CONFIG_DRM_GAMMA);
undef(&CONFIG_DRM_R128) if defined(&CONFIG_DRM_R128);
unless(defined(&CONFIG_DRM_RADEON_MODULE)) {
    sub CONFIG_DRM_RADEON_MODULE () {	1;}
}
undef(&CONFIG_DRM_MGA) if defined(&CONFIG_DRM_MGA);
undef(&CONFIG_DRM_SIS) if defined(&CONFIG_DRM_SIS);
undef(&CONFIG_RAW_DRIVER) if defined(&CONFIG_RAW_DRIVER);
undef(&CONFIG_HPET) if defined(&CONFIG_HPET);
unless(defined(&CONFIG_I2C)) {
    sub CONFIG_I2C () {	1;}
}
undef(&CONFIG_I2C_CHARDEV) if defined(&CONFIG_I2C_CHARDEV);
unless(defined(&CONFIG_I2C_ALGOBIT)) {
    sub CONFIG_I2C_ALGOBIT () {	1;}
}
undef(&CONFIG_I2C_ALGOPCF) if defined(&CONFIG_I2C_ALGOPCF);
undef(&CONFIG_I2C_ALI1535) if defined(&CONFIG_I2C_ALI1535);
undef(&CONFIG_I2C_ALI1563) if defined(&CONFIG_I2C_ALI1563);
undef(&CONFIG_I2C_ALI15X3) if defined(&CONFIG_I2C_ALI15X3);
undef(&CONFIG_I2C_AMD756) if defined(&CONFIG_I2C_AMD756);
undef(&CONFIG_I2C_AMD8111) if defined(&CONFIG_I2C_AMD8111);
undef(&CONFIG_I2C_I801) if defined(&CONFIG_I2C_I801);
undef(&CONFIG_I2C_I810) if defined(&CONFIG_I2C_I810);
undef(&CONFIG_I2C_ISA) if defined(&CONFIG_I2C_ISA);
undef(&CONFIG_I2C_NFORCE2) if defined(&CONFIG_I2C_NFORCE2);
undef(&CONFIG_I2C_PARPORT_LIGHT) if defined(&CONFIG_I2C_PARPORT_LIGHT);
undef(&CONFIG_I2C_PROSAVAGE) if defined(&CONFIG_I2C_PROSAVAGE);
undef(&CONFIG_I2C_SAVAGE4) if defined(&CONFIG_I2C_SAVAGE4);
undef(&CONFIG_SCx200_ACB) if defined(&CONFIG_SCx200_ACB);
undef(&CONFIG_I2C_SIS5595) if defined(&CONFIG_I2C_SIS5595);
undef(&CONFIG_I2C_SIS630) if defined(&CONFIG_I2C_SIS630);
undef(&CONFIG_I2C_SIS96X) if defined(&CONFIG_I2C_SIS96X);
undef(&CONFIG_I2C_VIA) if defined(&CONFIG_I2C_VIA);
undef(&CONFIG_I2C_VIAPRO) if defined(&CONFIG_I2C_VIAPRO);
undef(&CONFIG_I2C_VOODOO3) if defined(&CONFIG_I2C_VOODOO3);
undef(&CONFIG_I2C_SENSOR) if defined(&CONFIG_I2C_SENSOR);
undef(&CONFIG_SENSORS_ADM1021) if defined(&CONFIG_SENSORS_ADM1021);
undef(&CONFIG_SENSORS_ADM1025) if defined(&CONFIG_SENSORS_ADM1025);
undef(&CONFIG_SENSORS_ADM1031) if defined(&CONFIG_SENSORS_ADM1031);
undef(&CONFIG_SENSORS_ASB100) if defined(&CONFIG_SENSORS_ASB100);
undef(&CONFIG_SENSORS_DS1621) if defined(&CONFIG_SENSORS_DS1621);
undef(&CONFIG_SENSORS_FSCHER) if defined(&CONFIG_SENSORS_FSCHER);
undef(&CONFIG_SENSORS_GL518SM) if defined(&CONFIG_SENSORS_GL518SM);
undef(&CONFIG_SENSORS_IT87) if defined(&CONFIG_SENSORS_IT87);
undef(&CONFIG_SENSORS_LM75) if defined(&CONFIG_SENSORS_LM75);
undef(&CONFIG_SENSORS_LM77) if defined(&CONFIG_SENSORS_LM77);
undef(&CONFIG_SENSORS_LM78) if defined(&CONFIG_SENSORS_LM78);
undef(&CONFIG_SENSORS_LM80) if defined(&CONFIG_SENSORS_LM80);
undef(&CONFIG_SENSORS_LM83) if defined(&CONFIG_SENSORS_LM83);
undef(&CONFIG_SENSORS_LM85) if defined(&CONFIG_SENSORS_LM85);
undef(&CONFIG_SENSORS_LM90) if defined(&CONFIG_SENSORS_LM90);
undef(&CONFIG_SENSORS_MAX1619) if defined(&CONFIG_SENSORS_MAX1619);
undef(&CONFIG_SENSORS_VIA686A) if defined(&CONFIG_SENSORS_VIA686A);
undef(&CONFIG_SENSORS_W83781D) if defined(&CONFIG_SENSORS_W83781D);
undef(&CONFIG_SENSORS_W83L785TS) if defined(&CONFIG_SENSORS_W83L785TS);
undef(&CONFIG_SENSORS_W83627HF) if defined(&CONFIG_SENSORS_W83627HF);
undef(&CONFIG_SENSORS_EEPROM) if defined(&CONFIG_SENSORS_EEPROM);
undef(&CONFIG_SENSORS_PCF8574) if defined(&CONFIG_SENSORS_PCF8574);
undef(&CONFIG_SENSORS_PCF8591) if defined(&CONFIG_SENSORS_PCF8591);
undef(&CONFIG_SENSORS_RTC8564) if defined(&CONFIG_SENSORS_RTC8564);
undef(&CONFIG_I2C_DEBUG_CORE) if defined(&CONFIG_I2C_DEBUG_CORE);
undef(&CONFIG_I2C_DEBUG_ALGO) if defined(&CONFIG_I2C_DEBUG_ALGO);
undef(&CONFIG_I2C_DEBUG_BUS) if defined(&CONFIG_I2C_DEBUG_BUS);
undef(&CONFIG_I2C_DEBUG_CHIP) if defined(&CONFIG_I2C_DEBUG_CHIP);
undef(&CONFIG_W1) if defined(&CONFIG_W1);
undef(&CONFIG_VIDEO_DEV) if defined(&CONFIG_VIDEO_DEV);
undef(&CONFIG_DVB) if defined(&CONFIG_DVB);
unless(defined(&CONFIG_FB)) {
    sub CONFIG_FB () {	1;}
}
undef(&CONFIG_FB_CIRRUS) if defined(&CONFIG_FB_CIRRUS);
undef(&CONFIG_FB_PM2) if defined(&CONFIG_FB_PM2);
undef(&CONFIG_FB_CYBER2000) if defined(&CONFIG_FB_CYBER2000);
undef(&CONFIG_FB_ASILIANT) if defined(&CONFIG_FB_ASILIANT);
undef(&CONFIG_FB_IMSTT) if defined(&CONFIG_FB_IMSTT);
unless(defined(&CONFIG_FB_RIVA_MODULE)) {
    sub CONFIG_FB_RIVA_MODULE () {	1;}
}
unless(defined(&CONFIG_FB_RIVA_I2C)) {
    sub CONFIG_FB_RIVA_I2C () {	1;}
}
undef(&CONFIG_FB_RIVA_DEBUG) if defined(&CONFIG_FB_RIVA_DEBUG);
undef(&CONFIG_FB_MATROX) if defined(&CONFIG_FB_MATROX);
undef(&CONFIG_FB_RADEON_OLD) if defined(&CONFIG_FB_RADEON_OLD);
unless(defined(&CONFIG_FB_RADEON_MODULE)) {
    sub CONFIG_FB_RADEON_MODULE () {	1;}
}
unless(defined(&CONFIG_FB_RADEON_I2C)) {
    sub CONFIG_FB_RADEON_I2C () {	1;}
}
undef(&CONFIG_FB_RADEON_DEBUG) if defined(&CONFIG_FB_RADEON_DEBUG);
undef(&CONFIG_FB_ATY128) if defined(&CONFIG_FB_ATY128);
undef(&CONFIG_FB_ATY) if defined(&CONFIG_FB_ATY);
undef(&CONFIG_FB_SIS) if defined(&CONFIG_FB_SIS);
undef(&CONFIG_FB_NEOMAGIC) if defined(&CONFIG_FB_NEOMAGIC);
undef(&CONFIG_FB_KYRO) if defined(&CONFIG_FB_KYRO);
undef(&CONFIG_FB_3DFX) if defined(&CONFIG_FB_3DFX);
undef(&CONFIG_FB_VOODOO1) if defined(&CONFIG_FB_VOODOO1);
undef(&CONFIG_FB_TRIDENT) if defined(&CONFIG_FB_TRIDENT);
undef(&CONFIG_FB_PM3) if defined(&CONFIG_FB_PM3);
undef(&CONFIG_FB_VIRTUAL) if defined(&CONFIG_FB_VIRTUAL);
unless(defined(&CONFIG_VGA_CONSOLE)) {
    sub CONFIG_VGA_CONSOLE () {	1;}
}
undef(&CONFIG_MDA_CONSOLE) if defined(&CONFIG_MDA_CONSOLE);
unless(defined(&CONFIG_DUMMY_CONSOLE)) {
    sub CONFIG_DUMMY_CONSOLE () {	1;}
}
unless(defined(&CONFIG_FRAMEBUFFER_CONSOLE)) {
    sub CONFIG_FRAMEBUFFER_CONSOLE () {	1;}
}
undef(&CONFIG_FONTS) if defined(&CONFIG_FONTS);
unless(defined(&CONFIG_FONT_8x8)) {
    sub CONFIG_FONT_8x8 () {	1;}
}
unless(defined(&CONFIG_FONT_8x16)) {
    sub CONFIG_FONT_8x16 () {	1;}
}
unless(defined(&CONFIG_LOGO)) {
    sub CONFIG_LOGO () {	1;}
}
undef(&CONFIG_LOGO_LINUX_MONO) if defined(&CONFIG_LOGO_LINUX_MONO);
undef(&CONFIG_LOGO_LINUX_VGA16) if defined(&CONFIG_LOGO_LINUX_VGA16);
unless(defined(&CONFIG_LOGO_LINUX_CLUT224)) {
    sub CONFIG_LOGO_LINUX_CLUT224 () {	1;}
}
unless(defined(&CONFIG_SOUND)) {
    sub CONFIG_SOUND () {	1;}
}
unless(defined(&CONFIG_SND_MODULE)) {
    sub CONFIG_SND_MODULE () {	1;}
}
unless(defined(&CONFIG_SND_TIMER_MODULE)) {
    sub CONFIG_SND_TIMER_MODULE () {	1;}
}
unless(defined(&CONFIG_SND_PCM_MODULE)) {
    sub CONFIG_SND_PCM_MODULE () {	1;}
}
unless(defined(&CONFIG_SND_HWDEP_MODULE)) {
    sub CONFIG_SND_HWDEP_MODULE () {	1;}
}
unless(defined(&CONFIG_SND_RAWMIDI_MODULE)) {
    sub CONFIG_SND_RAWMIDI_MODULE () {	1;}
}
unless(defined(&CONFIG_SND_SEQUENCER_MODULE)) {
    sub CONFIG_SND_SEQUENCER_MODULE () {	1;}
}
undef(&CONFIG_SND_SEQ_DUMMY) if defined(&CONFIG_SND_SEQ_DUMMY);
undef(&CONFIG_SND_MIXER_OSS) if defined(&CONFIG_SND_MIXER_OSS);
undef(&CONFIG_SND_PCM_OSS) if defined(&CONFIG_SND_PCM_OSS);
undef(&CONFIG_SND_SEQUENCER_OSS) if defined(&CONFIG_SND_SEQUENCER_OSS);
undef(&CONFIG_SND_VERBOSE_PRINTK) if defined(&CONFIG_SND_VERBOSE_PRINTK);
undef(&CONFIG_SND_DEBUG) if defined(&CONFIG_SND_DEBUG);
unless(defined(&CONFIG_SND_MPU401_UART_MODULE)) {
    sub CONFIG_SND_MPU401_UART_MODULE () {	1;}
}
unless(defined(&CONFIG_SND_OPL3_LIB_MODULE)) {
    sub CONFIG_SND_OPL3_LIB_MODULE () {	1;}
}
undef(&CONFIG_SND_DUMMY) if defined(&CONFIG_SND_DUMMY);
undef(&CONFIG_SND_VIRMIDI) if defined(&CONFIG_SND_VIRMIDI);
undef(&CONFIG_SND_MTPAV) if defined(&CONFIG_SND_MTPAV);
undef(&CONFIG_SND_SERIAL_U16550) if defined(&CONFIG_SND_SERIAL_U16550);
undef(&CONFIG_SND_MPU401) if defined(&CONFIG_SND_MPU401);
unless(defined(&CONFIG_SND_AC97_CODEC_MODULE)) {
    sub CONFIG_SND_AC97_CODEC_MODULE () {	1;}
}
undef(&CONFIG_SND_ALI5451) if defined(&CONFIG_SND_ALI5451);
undef(&CONFIG_SND_ATIIXP) if defined(&CONFIG_SND_ATIIXP);
undef(&CONFIG_SND_AU8810) if defined(&CONFIG_SND_AU8810);
undef(&CONFIG_SND_AU8820) if defined(&CONFIG_SND_AU8820);
undef(&CONFIG_SND_AU8830) if defined(&CONFIG_SND_AU8830);
undef(&CONFIG_SND_AZT3328) if defined(&CONFIG_SND_AZT3328);
undef(&CONFIG_SND_BT87X) if defined(&CONFIG_SND_BT87X);
undef(&CONFIG_SND_CS46XX) if defined(&CONFIG_SND_CS46XX);
undef(&CONFIG_SND_CS4281) if defined(&CONFIG_SND_CS4281);
undef(&CONFIG_SND_EMU10K1) if defined(&CONFIG_SND_EMU10K1);
undef(&CONFIG_SND_KORG1212) if defined(&CONFIG_SND_KORG1212);
undef(&CONFIG_SND_MIXART) if defined(&CONFIG_SND_MIXART);
undef(&CONFIG_SND_NM256) if defined(&CONFIG_SND_NM256);
undef(&CONFIG_SND_RME32) if defined(&CONFIG_SND_RME32);
undef(&CONFIG_SND_RME96) if defined(&CONFIG_SND_RME96);
undef(&CONFIG_SND_RME9652) if defined(&CONFIG_SND_RME9652);
undef(&CONFIG_SND_HDSP) if defined(&CONFIG_SND_HDSP);
undef(&CONFIG_SND_TRIDENT) if defined(&CONFIG_SND_TRIDENT);
undef(&CONFIG_SND_YMFPCI) if defined(&CONFIG_SND_YMFPCI);
undef(&CONFIG_SND_ALS4000) if defined(&CONFIG_SND_ALS4000);
undef(&CONFIG_SND_CMIPCI) if defined(&CONFIG_SND_CMIPCI);
undef(&CONFIG_SND_ENS1370) if defined(&CONFIG_SND_ENS1370);
undef(&CONFIG_SND_ENS1371) if defined(&CONFIG_SND_ENS1371);
undef(&CONFIG_SND_ES1938) if defined(&CONFIG_SND_ES1938);
undef(&CONFIG_SND_ES1968) if defined(&CONFIG_SND_ES1968);
undef(&CONFIG_SND_MAESTRO3) if defined(&CONFIG_SND_MAESTRO3);
unless(defined(&CONFIG_SND_FM801_MODULE)) {
    sub CONFIG_SND_FM801_MODULE () {	1;}
}
undef(&CONFIG_SND_FM801_TEA575X) if defined(&CONFIG_SND_FM801_TEA575X);
undef(&CONFIG_SND_ICE1712) if defined(&CONFIG_SND_ICE1712);
undef(&CONFIG_SND_ICE1724) if defined(&CONFIG_SND_ICE1724);
undef(&CONFIG_SND_INTEL8X0) if defined(&CONFIG_SND_INTEL8X0);
undef(&CONFIG_SND_INTEL8X0M) if defined(&CONFIG_SND_INTEL8X0M);
undef(&CONFIG_SND_SONICVIBES) if defined(&CONFIG_SND_SONICVIBES);
undef(&CONFIG_SND_VIA82XX) if defined(&CONFIG_SND_VIA82XX);
undef(&CONFIG_SND_VX222) if defined(&CONFIG_SND_VX222);
undef(&CONFIG_SND_USB_AUDIO) if defined(&CONFIG_SND_USB_AUDIO);
undef(&CONFIG_SOUND_PRIME) if defined(&CONFIG_SOUND_PRIME);
unless(defined(&CONFIG_USB)) {
    sub CONFIG_USB () {	1;}
}
undef(&CONFIG_USB_DEBUG) if defined(&CONFIG_USB_DEBUG);
unless(defined(&CONFIG_USB_DEVICEFS)) {
    sub CONFIG_USB_DEVICEFS () {	1;}
}
unless(defined(&CONFIG_USB_BANDWIDTH)) {
    sub CONFIG_USB_BANDWIDTH () {	1;}
}
undef(&CONFIG_USB_DYNAMIC_MINORS) if defined(&CONFIG_USB_DYNAMIC_MINORS);
unless(defined(&CONFIG_USB_EHCI_HCD)) {
    sub CONFIG_USB_EHCI_HCD () {	1;}
}
undef(&CONFIG_USB_EHCI_SPLIT_ISO) if defined(&CONFIG_USB_EHCI_SPLIT_ISO);
unless(defined(&CONFIG_USB_EHCI_ROOT_HUB_TT)) {
    sub CONFIG_USB_EHCI_ROOT_HUB_TT () {	1;}
}
unless(defined(&CONFIG_USB_OHCI_HCD)) {
    sub CONFIG_USB_OHCI_HCD () {	1;}
}
unless(defined(&CONFIG_USB_UHCI_HCD)) {
    sub CONFIG_USB_UHCI_HCD () {	1;}
}
undef(&CONFIG_USB_AUDIO) if defined(&CONFIG_USB_AUDIO);
undef(&CONFIG_USB_BLUETOOTH_TTY) if defined(&CONFIG_USB_BLUETOOTH_TTY);
undef(&CONFIG_USB_MIDI) if defined(&CONFIG_USB_MIDI);
undef(&CONFIG_USB_ACM) if defined(&CONFIG_USB_ACM);
undef(&CONFIG_USB_PRINTER) if defined(&CONFIG_USB_PRINTER);
undef(&CONFIG_USB_STORAGE) if defined(&CONFIG_USB_STORAGE);
unless(defined(&CONFIG_USB_HID)) {
    sub CONFIG_USB_HID () {	1;}
}
unless(defined(&CONFIG_USB_HIDINPUT)) {
    sub CONFIG_USB_HIDINPUT () {	1;}
}
undef(&CONFIG_HID_FF) if defined(&CONFIG_HID_FF);
unless(defined(&CONFIG_USB_HIDDEV)) {
    sub CONFIG_USB_HIDDEV () {	1;}
}
undef(&CONFIG_USB_AIPTEK) if defined(&CONFIG_USB_AIPTEK);
undef(&CONFIG_USB_WACOM) if defined(&CONFIG_USB_WACOM);
undef(&CONFIG_USB_KBTAB) if defined(&CONFIG_USB_KBTAB);
undef(&CONFIG_USB_POWERMATE) if defined(&CONFIG_USB_POWERMATE);
undef(&CONFIG_USB_MTOUCH) if defined(&CONFIG_USB_MTOUCH);
undef(&CONFIG_USB_EGALAX) if defined(&CONFIG_USB_EGALAX);
undef(&CONFIG_USB_XPAD) if defined(&CONFIG_USB_XPAD);
undef(&CONFIG_USB_ATI_REMOTE) if defined(&CONFIG_USB_ATI_REMOTE);
undef(&CONFIG_USB_MDC800) if defined(&CONFIG_USB_MDC800);
undef(&CONFIG_USB_MICROTEK) if defined(&CONFIG_USB_MICROTEK);
undef(&CONFIG_USB_HPUSBSCSI) if defined(&CONFIG_USB_HPUSBSCSI);
undef(&CONFIG_USB_DABUSB) if defined(&CONFIG_USB_DABUSB);
undef(&CONFIG_USB_CATC) if defined(&CONFIG_USB_CATC);
undef(&CONFIG_USB_KAWETH) if defined(&CONFIG_USB_KAWETH);
undef(&CONFIG_USB_PEGASUS) if defined(&CONFIG_USB_PEGASUS);
undef(&CONFIG_USB_RTL8150) if defined(&CONFIG_USB_RTL8150);
undef(&CONFIG_USB_USBNET) if defined(&CONFIG_USB_USBNET);
undef(&CONFIG_USB_SERIAL) if defined(&CONFIG_USB_SERIAL);
undef(&CONFIG_USB_EMI62) if defined(&CONFIG_USB_EMI62);
undef(&CONFIG_USB_EMI26) if defined(&CONFIG_USB_EMI26);
undef(&CONFIG_USB_TIGL) if defined(&CONFIG_USB_TIGL);
undef(&CONFIG_USB_AUERSWALD) if defined(&CONFIG_USB_AUERSWALD);
undef(&CONFIG_USB_RIO500) if defined(&CONFIG_USB_RIO500);
undef(&CONFIG_USB_LEGOTOWER) if defined(&CONFIG_USB_LEGOTOWER);
undef(&CONFIG_USB_LCD) if defined(&CONFIG_USB_LCD);
undef(&CONFIG_USB_LED) if defined(&CONFIG_USB_LED);
undef(&CONFIG_USB_CYTHERM) if defined(&CONFIG_USB_CYTHERM);
undef(&CONFIG_USB_PHIDGETSERVO) if defined(&CONFIG_USB_PHIDGETSERVO);
undef(&CONFIG_USB_TEST) if defined(&CONFIG_USB_TEST);
undef(&CONFIG_USB_GADGET) if defined(&CONFIG_USB_GADGET);
unless(defined(&CONFIG_EXT2_FS)) {
    sub CONFIG_EXT2_FS () {	1;}
}
unless(defined(&CONFIG_EXT2_FS_XATTR)) {
    sub CONFIG_EXT2_FS_XATTR () {	1;}
}
undef(&CONFIG_EXT2_FS_POSIX_ACL) if defined(&CONFIG_EXT2_FS_POSIX_ACL);
undef(&CONFIG_EXT2_FS_SECURITY) if defined(&CONFIG_EXT2_FS_SECURITY);
unless(defined(&CONFIG_EXT3_FS)) {
    sub CONFIG_EXT3_FS () {	1;}
}
unless(defined(&CONFIG_EXT3_FS_XATTR)) {
    sub CONFIG_EXT3_FS_XATTR () {	1;}
}
undef(&CONFIG_EXT3_FS_POSIX_ACL) if defined(&CONFIG_EXT3_FS_POSIX_ACL);
undef(&CONFIG_EXT3_FS_SECURITY) if defined(&CONFIG_EXT3_FS_SECURITY);
unless(defined(&CONFIG_JBD)) {
    sub CONFIG_JBD () {	1;}
}
undef(&CONFIG_JBD_DEBUG) if defined(&CONFIG_JBD_DEBUG);
unless(defined(&CONFIG_FS_MBCACHE)) {
    sub CONFIG_FS_MBCACHE () {	1;}
}
undef(&CONFIG_REISERFS_FS) if defined(&CONFIG_REISERFS_FS);
undef(&CONFIG_JFS_FS) if defined(&CONFIG_JFS_FS);
undef(&CONFIG_XFS_FS) if defined(&CONFIG_XFS_FS);
undef(&CONFIG_MINIX_FS) if defined(&CONFIG_MINIX_FS);
undef(&CONFIG_ROMFS_FS) if defined(&CONFIG_ROMFS_FS);
undef(&CONFIG_QUOTA) if defined(&CONFIG_QUOTA);
unless(defined(&CONFIG_AUTOFS_FS)) {
    sub CONFIG_AUTOFS_FS () {	1;}
}
undef(&CONFIG_AUTOFS4_FS) if defined(&CONFIG_AUTOFS4_FS);
unless(defined(&CONFIG_ISO9660_FS)) {
    sub CONFIG_ISO9660_FS () {	1;}
}
unless(defined(&CONFIG_JOLIET)) {
    sub CONFIG_JOLIET () {	1;}
}
undef(&CONFIG_ZISOFS) if defined(&CONFIG_ZISOFS);
unless(defined(&CONFIG_UDF_FS)) {
    sub CONFIG_UDF_FS () {	1;}
}
unless(defined(&CONFIG_UDF_NLS)) {
    sub CONFIG_UDF_NLS () {	1;}
}
unless(defined(&CONFIG_FAT_FS)) {
    sub CONFIG_FAT_FS () {	1;}
}
unless(defined(&CONFIG_MSDOS_FS)) {
    sub CONFIG_MSDOS_FS () {	1;}
}
unless(defined(&CONFIG_VFAT_FS)) {
    sub CONFIG_VFAT_FS () {	1;}
}
unless(defined(&CONFIG_FAT_DEFAULT_CODEPAGE)) {
    sub CONFIG_FAT_DEFAULT_CODEPAGE () {	437;}
}
unless(defined(&CONFIG_FAT_DEFAULT_IOCHARSET)) {
    sub CONFIG_FAT_DEFAULT_IOCHARSET () {	"iso8859-1";}
}
undef(&CONFIG_NTFS_FS) if defined(&CONFIG_NTFS_FS);
unless(defined(&CONFIG_PROC_FS)) {
    sub CONFIG_PROC_FS () {	1;}
}
unless(defined(&CONFIG_PROC_KCORE)) {
    sub CONFIG_PROC_KCORE () {	1;}
}
unless(defined(&CONFIG_SYSFS)) {
    sub CONFIG_SYSFS () {	1;}
}
undef(&CONFIG_DEVFS_FS) if defined(&CONFIG_DEVFS_FS);
undef(&CONFIG_DEVPTS_FS_XATTR) if defined(&CONFIG_DEVPTS_FS_XATTR);
unless(defined(&CONFIG_TMPFS)) {
    sub CONFIG_TMPFS () {	1;}
}
unless(defined(&CONFIG_HUGETLBFS)) {
    sub CONFIG_HUGETLBFS () {	1;}
}
unless(defined(&CONFIG_HUGETLB_PAGE)) {
    sub CONFIG_HUGETLB_PAGE () {	1;}
}
unless(defined(&CONFIG_RAMFS)) {
    sub CONFIG_RAMFS () {	1;}
}
undef(&CONFIG_ADFS_FS) if defined(&CONFIG_ADFS_FS);
undef(&CONFIG_AFFS_FS) if defined(&CONFIG_AFFS_FS);
undef(&CONFIG_HFS_FS) if defined(&CONFIG_HFS_FS);
undef(&CONFIG_HFSPLUS_FS) if defined(&CONFIG_HFSPLUS_FS);
undef(&CONFIG_BEFS_FS) if defined(&CONFIG_BEFS_FS);
undef(&CONFIG_BFS_FS) if defined(&CONFIG_BFS_FS);
undef(&CONFIG_EFS_FS) if defined(&CONFIG_EFS_FS);
undef(&CONFIG_CRAMFS) if defined(&CONFIG_CRAMFS);
undef(&CONFIG_VXFS_FS) if defined(&CONFIG_VXFS_FS);
undef(&CONFIG_HPFS_FS) if defined(&CONFIG_HPFS_FS);
undef(&CONFIG_QNX4FS_FS) if defined(&CONFIG_QNX4FS_FS);
undef(&CONFIG_SYSV_FS) if defined(&CONFIG_SYSV_FS);
undef(&CONFIG_UFS_FS) if defined(&CONFIG_UFS_FS);
unless(defined(&CONFIG_NFS_FS)) {
    sub CONFIG_NFS_FS () {	1;}
}
unless(defined(&CONFIG_NFS_V3)) {
    sub CONFIG_NFS_V3 () {	1;}
}
unless(defined(&CONFIG_NFS_V4)) {
    sub CONFIG_NFS_V4 () {	1;}
}
unless(defined(&CONFIG_NFS_DIRECTIO)) {
    sub CONFIG_NFS_DIRECTIO () {	1;}
}
unless(defined(&CONFIG_NFSD)) {
    sub CONFIG_NFSD () {	1;}
}
unless(defined(&CONFIG_NFSD_V3)) {
    sub CONFIG_NFSD_V3 () {	1;}
}
undef(&CONFIG_NFSD_V4) if defined(&CONFIG_NFSD_V4);
undef(&CONFIG_NFSD_TCP) if defined(&CONFIG_NFSD_TCP);
unless(defined(&CONFIG_LOCKD)) {
    sub CONFIG_LOCKD () {	1;}
}
unless(defined(&CONFIG_LOCKD_V4)) {
    sub CONFIG_LOCKD_V4 () {	1;}
}
unless(defined(&CONFIG_EXPORTFS)) {
    sub CONFIG_EXPORTFS () {	1;}
}
unless(defined(&CONFIG_SUNRPC)) {
    sub CONFIG_SUNRPC () {	1;}
}
unless(defined(&CONFIG_SUNRPC_GSS)) {
    sub CONFIG_SUNRPC_GSS () {	1;}
}
unless(defined(&CONFIG_RPCSEC_GSS_KRB5)) {
    sub CONFIG_RPCSEC_GSS_KRB5 () {	1;}
}
undef(&CONFIG_SMB_FS) if defined(&CONFIG_SMB_FS);
undef(&CONFIG_CIFS) if defined(&CONFIG_CIFS);
undef(&CONFIG_NCP_FS) if defined(&CONFIG_NCP_FS);
undef(&CONFIG_CODA_FS) if defined(&CONFIG_CODA_FS);
undef(&CONFIG_AFS_FS) if defined(&CONFIG_AFS_FS);
unless(defined(&CONFIG_PARTITION_ADVANCED)) {
    sub CONFIG_PARTITION_ADVANCED () {	1;}
}
undef(&CONFIG_ACORN_PARTITION) if defined(&CONFIG_ACORN_PARTITION);
undef(&CONFIG_OSF_PARTITION) if defined(&CONFIG_OSF_PARTITION);
undef(&CONFIG_AMIGA_PARTITION) if defined(&CONFIG_AMIGA_PARTITION);
undef(&CONFIG_ATARI_PARTITION) if defined(&CONFIG_ATARI_PARTITION);
undef(&CONFIG_MAC_PARTITION) if defined(&CONFIG_MAC_PARTITION);
unless(defined(&CONFIG_MSDOS_PARTITION)) {
    sub CONFIG_MSDOS_PARTITION () {	1;}
}
undef(&CONFIG_BSD_DISKLABEL) if defined(&CONFIG_BSD_DISKLABEL);
undef(&CONFIG_MINIX_SUBPARTITION) if defined(&CONFIG_MINIX_SUBPARTITION);
undef(&CONFIG_SOLARIS_X86_PARTITION) if defined(&CONFIG_SOLARIS_X86_PARTITION);
undef(&CONFIG_UNIXWARE_DISKLABEL) if defined(&CONFIG_UNIXWARE_DISKLABEL);
undef(&CONFIG_LDM_PARTITION) if defined(&CONFIG_LDM_PARTITION);
undef(&CONFIG_SGI_PARTITION) if defined(&CONFIG_SGI_PARTITION);
undef(&CONFIG_ULTRIX_PARTITION) if defined(&CONFIG_ULTRIX_PARTITION);
undef(&CONFIG_SUN_PARTITION) if defined(&CONFIG_SUN_PARTITION);
unless(defined(&CONFIG_EFI_PARTITION)) {
    sub CONFIG_EFI_PARTITION () {	1;}
}
unless(defined(&CONFIG_NLS)) {
    sub CONFIG_NLS () {	1;}
}
unless(defined(&CONFIG_NLS_DEFAULT)) {
    sub CONFIG_NLS_DEFAULT () {	"iso8859-1";}
}
unless(defined(&CONFIG_NLS_CODEPAGE_437)) {
    sub CONFIG_NLS_CODEPAGE_437 () {	1;}
}
undef(&CONFIG_NLS_CODEPAGE_737) if defined(&CONFIG_NLS_CODEPAGE_737);
undef(&CONFIG_NLS_CODEPAGE_775) if defined(&CONFIG_NLS_CODEPAGE_775);
undef(&CONFIG_NLS_CODEPAGE_850) if defined(&CONFIG_NLS_CODEPAGE_850);
undef(&CONFIG_NLS_CODEPAGE_852) if defined(&CONFIG_NLS_CODEPAGE_852);
undef(&CONFIG_NLS_CODEPAGE_855) if defined(&CONFIG_NLS_CODEPAGE_855);
undef(&CONFIG_NLS_CODEPAGE_857) if defined(&CONFIG_NLS_CODEPAGE_857);
undef(&CONFIG_NLS_CODEPAGE_860) if defined(&CONFIG_NLS_CODEPAGE_860);
undef(&CONFIG_NLS_CODEPAGE_861) if defined(&CONFIG_NLS_CODEPAGE_861);
undef(&CONFIG_NLS_CODEPAGE_862) if defined(&CONFIG_NLS_CODEPAGE_862);
undef(&CONFIG_NLS_CODEPAGE_863) if defined(&CONFIG_NLS_CODEPAGE_863);
undef(&CONFIG_NLS_CODEPAGE_864) if defined(&CONFIG_NLS_CODEPAGE_864);
undef(&CONFIG_NLS_CODEPAGE_865) if defined(&CONFIG_NLS_CODEPAGE_865);
undef(&CONFIG_NLS_CODEPAGE_866) if defined(&CONFIG_NLS_CODEPAGE_866);
undef(&CONFIG_NLS_CODEPAGE_869) if defined(&CONFIG_NLS_CODEPAGE_869);
undef(&CONFIG_NLS_CODEPAGE_936) if defined(&CONFIG_NLS_CODEPAGE_936);
undef(&CONFIG_NLS_CODEPAGE_950) if defined(&CONFIG_NLS_CODEPAGE_950);
undef(&CONFIG_NLS_CODEPAGE_932) if defined(&CONFIG_NLS_CODEPAGE_932);
undef(&CONFIG_NLS_CODEPAGE_949) if defined(&CONFIG_NLS_CODEPAGE_949);
undef(&CONFIG_NLS_CODEPAGE_874) if defined(&CONFIG_NLS_CODEPAGE_874);
undef(&CONFIG_NLS_ISO8859_8) if defined(&CONFIG_NLS_ISO8859_8);
undef(&CONFIG_NLS_CODEPAGE_1250) if defined(&CONFIG_NLS_CODEPAGE_1250);
undef(&CONFIG_NLS_CODEPAGE_1251) if defined(&CONFIG_NLS_CODEPAGE_1251);
unless(defined(&CONFIG_NLS_ASCII)) {
    sub CONFIG_NLS_ASCII () {	1;}
}
unless(defined(&CONFIG_NLS_ISO8859_1)) {
    sub CONFIG_NLS_ISO8859_1 () {	1;}
}
undef(&CONFIG_NLS_ISO8859_2) if defined(&CONFIG_NLS_ISO8859_2);
undef(&CONFIG_NLS_ISO8859_3) if defined(&CONFIG_NLS_ISO8859_3);
undef(&CONFIG_NLS_ISO8859_4) if defined(&CONFIG_NLS_ISO8859_4);
undef(&CONFIG_NLS_ISO8859_5) if defined(&CONFIG_NLS_ISO8859_5);
undef(&CONFIG_NLS_ISO8859_6) if defined(&CONFIG_NLS_ISO8859_6);
undef(&CONFIG_NLS_ISO8859_7) if defined(&CONFIG_NLS_ISO8859_7);
undef(&CONFIG_NLS_ISO8859_9) if defined(&CONFIG_NLS_ISO8859_9);
undef(&CONFIG_NLS_ISO8859_13) if defined(&CONFIG_NLS_ISO8859_13);
undef(&CONFIG_NLS_ISO8859_14) if defined(&CONFIG_NLS_ISO8859_14);
undef(&CONFIG_NLS_ISO8859_15) if defined(&CONFIG_NLS_ISO8859_15);
undef(&CONFIG_NLS_KOI8_R) if defined(&CONFIG_NLS_KOI8_R);
undef(&CONFIG_NLS_KOI8_U) if defined(&CONFIG_NLS_KOI8_U);
undef(&CONFIG_NLS_UTF8) if defined(&CONFIG_NLS_UTF8);
undef(&CONFIG_CRC_CCITT) if defined(&CONFIG_CRC_CCITT);
unless(defined(&CONFIG_CRC32)) {
    sub CONFIG_CRC32 () {	1;}
}
undef(&CONFIG_LIBCRC32C) if defined(&CONFIG_LIBCRC32C);
undef(&CONFIG_PROFILING) if defined(&CONFIG_PROFILING);
unless(defined(&CONFIG_IA64_GRANULE_16MB)) {
    sub CONFIG_IA64_GRANULE_16MB () {	1;}
}
undef(&CONFIG_IA64_GRANULE_64MB) if defined(&CONFIG_IA64_GRANULE_64MB);
unless(defined(&CONFIG_DEBUG_KERNEL)) {
    sub CONFIG_DEBUG_KERNEL () {	1;}
}
unless(defined(&CONFIG_IA64_PRINT_HAZARDS)) {
    sub CONFIG_IA64_PRINT_HAZARDS () {	1;}
}
undef(&CONFIG_DISABLE_VHPT) if defined(&CONFIG_DISABLE_VHPT);
unless(defined(&CONFIG_MAGIC_SYSRQ)) {
    sub CONFIG_MAGIC_SYSRQ () {	1;}
}
undef(&CONFIG_DEBUG_SLAB) if defined(&CONFIG_DEBUG_SLAB);
undef(&CONFIG_DEBUG_SPINLOCK) if defined(&CONFIG_DEBUG_SPINLOCK);
undef(&CONFIG_DEBUG_SPINLOCK_SLEEP) if defined(&CONFIG_DEBUG_SPINLOCK_SLEEP);
undef(&CONFIG_IA64_DEBUG_CMPXCHG) if defined(&CONFIG_IA64_DEBUG_CMPXCHG);
undef(&CONFIG_IA64_DEBUG_IRQ) if defined(&CONFIG_IA64_DEBUG_IRQ);
unless(defined(&CONFIG_DEBUG_INFO)) {
    sub CONFIG_DEBUG_INFO () {	1;}
}
unless(defined(&CONFIG_SYSVIPC_COMPAT)) {
    sub CONFIG_SYSVIPC_COMPAT () {	1;}
}
undef(&CONFIG_SECURITY) if defined(&CONFIG_SECURITY);
unless(defined(&CONFIG_CRYPTO)) {
    sub CONFIG_CRYPTO () {	1;}
}
undef(&CONFIG_CRYPTO_HMAC) if defined(&CONFIG_CRYPTO_HMAC);
undef(&CONFIG_CRYPTO_NULL) if defined(&CONFIG_CRYPTO_NULL);
undef(&CONFIG_CRYPTO_MD4) if defined(&CONFIG_CRYPTO_MD4);
unless(defined(&CONFIG_CRYPTO_MD5)) {
    sub CONFIG_CRYPTO_MD5 () {	1;}
}
undef(&CONFIG_CRYPTO_SHA1) if defined(&CONFIG_CRYPTO_SHA1);
undef(&CONFIG_CRYPTO_SHA256) if defined(&CONFIG_CRYPTO_SHA256);
undef(&CONFIG_CRYPTO_SHA512) if defined(&CONFIG_CRYPTO_SHA512);
unless(defined(&CONFIG_CRYPTO_DES)) {
    sub CONFIG_CRYPTO_DES () {	1;}
}
undef(&CONFIG_CRYPTO_BLOWFISH) if defined(&CONFIG_CRYPTO_BLOWFISH);
undef(&CONFIG_CRYPTO_TWOFISH) if defined(&CONFIG_CRYPTO_TWOFISH);
undef(&CONFIG_CRYPTO_SERPENT) if defined(&CONFIG_CRYPTO_SERPENT);
undef(&CONFIG_CRYPTO_AES) if defined(&CONFIG_CRYPTO_AES);
undef(&CONFIG_CRYPTO_CAST5) if defined(&CONFIG_CRYPTO_CAST5);
undef(&CONFIG_CRYPTO_CAST6) if defined(&CONFIG_CRYPTO_CAST6);
undef(&CONFIG_CRYPTO_TEA) if defined(&CONFIG_CRYPTO_TEA);
undef(&CONFIG_CRYPTO_ARC4) if defined(&CONFIG_CRYPTO_ARC4);
undef(&CONFIG_CRYPTO_KHAZAD) if defined(&CONFIG_CRYPTO_KHAZAD);
undef(&CONFIG_CRYPTO_DEFLATE) if defined(&CONFIG_CRYPTO_DEFLATE);
undef(&CONFIG_CRYPTO_MICHAEL_MIC) if defined(&CONFIG_CRYPTO_MICHAEL_MIC);
undef(&CONFIG_CRYPTO_CRC32C) if defined(&CONFIG_CRYPTO_CRC32C);
undef(&CONFIG_CRYPTO_TEST) if defined(&CONFIG_CRYPTO_TEST);
1;
