require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_ASM_IA64_DELAY_H)) {
    eval 'sub _ASM_IA64_DELAY_H () {1;}' unless defined(&_ASM_IA64_DELAY_H);
    require 'linux/config.ph';
    require 'linux/kernel.ph';
    require 'linux/sched.ph';
    require 'linux/compiler.ph';
    require 'asm/intrinsics.ph';
    require 'asm/processor.ph';
    eval 'sub ia64_set_itm {
        local($val) = @_;
	    eval q({  &ia64_setreg( &_IA64_REG_CR_ITM, $val);  &ia64_srlz_d(); });
    }' unless defined(&ia64_set_itm);
    eval 'sub ia64_get_itm {
        local($void) = @_;
	    eval q({ my $result;  $result =  &ia64_getreg( &_IA64_REG_CR_ITM);  &ia64_srlz_d();  $result; });
    }' unless defined(&ia64_get_itm);
    eval 'sub ia64_set_itv {
        local($val) = @_;
	    eval q({  &ia64_setreg( &_IA64_REG_CR_ITV, $val);  &ia64_srlz_d(); });
    }' unless defined(&ia64_set_itv);
    eval 'sub ia64_get_itv {
        local($void) = @_;
	    eval q({  &ia64_getreg( &_IA64_REG_CR_ITV); });
    }' unless defined(&ia64_get_itv);
    eval 'sub ia64_set_itc {
        local($val) = @_;
	    eval q({  &ia64_setreg( &_IA64_REG_AR_ITC, $val);  &ia64_srlz_d(); });
    }' unless defined(&ia64_set_itc);
# some #ifdef were dropped here -- fill in the blanks
    eval 'sub ia64_get_itc {
        local($void) = @_;
	    eval q({ my $result;  $result =  &ia64_getreg( &_IA64_REG_AR_ITC);  &ia64_barrier();  $result; });
    }' unless defined(&ia64_get_itc);
    eval 'sub __delay {
        local($loops) = @_;
	    eval q({  &if ( &unlikely($loops < 1)) ;  &ia64_delay_loop ($loops - 1); });
    }' unless defined(&__delay);
    eval 'sub udelay {
        local($usecs) = @_;
	    eval q({ my $start =  &ia64_get_itc(); my $cycles = $usecs* ($local_cpu_data->{cyc_per_usec});  &while ( &ia64_get_itc() -  $start <  $cycles) ; });
    }' unless defined(&udelay);
}
1;
