require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&ASM_MSI_H)) {
    eval 'sub ASM_MSI_H () {1;}' unless defined(&ASM_MSI_H);
    eval 'sub NR_VECTORS () { &NR_IRQS;}' unless defined(&NR_VECTORS);
    eval 'sub FIRST_DEVICE_VECTOR () { &IA64_FIRST_DEVICE_VECTOR;}' unless defined(&FIRST_DEVICE_VECTOR);
    eval 'sub LAST_DEVICE_VECTOR () { &IA64_LAST_DEVICE_VECTOR;}' unless defined(&LAST_DEVICE_VECTOR);
    eval 'sub IO_APIC_VECTOR {
        local($irq) = @_;
	    eval q(($irq));
    }' unless defined(&IO_APIC_VECTOR);
    eval 'sub ack_APIC_irq () { &ia64_eoi;}' unless defined(&ack_APIC_irq);
    eval 'sub irq_desc () { &_irq_desc;}' unless defined(&irq_desc);
    eval 'sub cpu_mask_to_apicid {
        local($mask) = @_;
	    eval q( &cpu_physical_id( &first_cpu($mask)));
    }' unless defined(&cpu_mask_to_apicid);
    eval 'sub MSI_DEST_MODE () { &MSI_PHYSICAL_MODE;}' unless defined(&MSI_DEST_MODE);
    eval 'sub MSI_TARGET_CPU () {(( &ia64_getreg( &_IA64_REG_CR_LID) >> 16) & 0xffff);}' unless defined(&MSI_TARGET_CPU);
    eval 'sub MSI_TARGET_CPU_SHIFT () {4;}' unless defined(&MSI_TARGET_CPU_SHIFT);
}
1;
