require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_ASM_IA64_NUMA_H)) {
    eval 'sub _ASM_IA64_NUMA_H () {1;}' unless defined(&_ASM_IA64_NUMA_H);
    require 'linux/config.ph';
    if(defined(&CONFIG_NUMA)) {
	require 'linux/cache.ph';
	require 'linux/cpumask.ph';
	require 'linux/numa.ph';
	require 'linux/smp.ph';
	require 'linux/threads.ph';
	require 'asm/mmzone.ph';
	eval 'sub node_distance {
	    local($from,$to) = @_;
    	    eval q(( $numa_slit[$from *  &numnodes + $to]));
	}' unless defined(&node_distance);
	eval 'sub local_nodeid () {( $cpu_to_node_map[ &smp_processor_id()]);}' unless defined(&local_nodeid);
    } else {
	eval 'sub paddr_to_nid {
	    local($addr) = @_;
    	    eval q(0);
	}' unless defined(&paddr_to_nid);
    }
}
1;
