require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_ASM_IA64_PCI_H)) {
    eval 'sub _ASM_IA64_PCI_H () {1;}' unless defined(&_ASM_IA64_PCI_H);
    require 'linux/mm.ph';
    require 'linux/slab.ph';
    require 'linux/spinlock.ph';
    require 'linux/string.ph';
    require 'linux/types.ph';
    require 'asm/io.ph';
    require 'asm/scatterlist.ph';
    eval 'sub pcibios_assign_all_busses () {
        eval q(0);
    }' unless defined(&pcibios_assign_all_busses);
    eval 'sub pcibios_scan_all_fns {
        local($a, $b) = @_;
	    eval q(0);
    }' unless defined(&pcibios_scan_all_fns);
    eval 'sub PCIBIOS_MIN_IO () {0x1000;}' unless defined(&PCIBIOS_MIN_IO);
    eval 'sub PCIBIOS_MIN_MEM () {0x10000000;}' unless defined(&PCIBIOS_MIN_MEM);
    eval 'sub PCI_DMA_BUS_IS_PHYS () {( &ia64_max_iommu_merge_mask == ~0);}' unless defined(&PCI_DMA_BUS_IS_PHYS);
    eval 'sub HAVE_ARCH_PCI_MWI () {1;}' unless defined(&HAVE_ARCH_PCI_MWI);
    require 'asm-generic/pci-dma-compat.ph';
    eval 'sub DECLARE_PCI_UNMAP_ADDR {
        local($ADDR_NAME) = @_;
	    eval q( &dma_addr_t $ADDR_NAME;);
    }' unless defined(&DECLARE_PCI_UNMAP_ADDR);
    eval 'sub DECLARE_PCI_UNMAP_LEN {
        local($LEN_NAME) = @_;
	    eval q( &__u32 $LEN_NAME;);
    }' unless defined(&DECLARE_PCI_UNMAP_LEN);
    eval 'sub pci_unmap_addr {
        local($PTR, $ADDR_NAME) = @_;
	    eval q((($PTR)->$ADDR_NAME));
    }' unless defined(&pci_unmap_addr);
    eval 'sub pci_unmap_addr_set {
        local($PTR, $ADDR_NAME, $VAL) = @_;
	    eval q(((($PTR)->$ADDR_NAME) = ($VAL)));
    }' unless defined(&pci_unmap_addr_set);
    eval 'sub pci_unmap_len {
        local($PTR, $LEN_NAME) = @_;
	    eval q((($PTR)->$LEN_NAME));
    }' unless defined(&pci_unmap_len);
    eval 'sub pci_unmap_len_set {
        local($PTR, $LEN_NAME, $VAL) = @_;
	    eval q(((($PTR)->$LEN_NAME) = ($VAL)));
    }' unless defined(&pci_unmap_len_set);
    eval 'sub pci_dac_dma_supported {
        local($pci_dev, $mask) = @_;
	    eval q((1));
    }' unless defined(&pci_dac_dma_supported);
    eval 'sub pci_dac_page_to_dma {
        local($dev,$pg,$off,$dir) = @_;
	    eval q((( &dma_addr_t)  &page_to_bus($pg) + ($off)));
    }' unless defined(&pci_dac_page_to_dma);
    eval 'sub pci_dac_dma_to_page {
        local($dev,$dma_addr) = @_;
	    eval q(( &virt_to_page( &bus_to_virt($dma_addr))));
    }' unless defined(&pci_dac_dma_to_page);
    eval 'sub pci_dac_dma_to_offset {
        local($dev,$dma_addr) = @_;
	    eval q( &offset_in_page($dma_addr));
    }' unless defined(&pci_dac_dma_to_offset);
    eval 'sub pci_dac_dma_sync_single_for_cpu {
        local($dev,$dma_addr,$len,$dir) = @_;
	    eval q( &do { }  &while (0));
    }' unless defined(&pci_dac_dma_sync_single_for_cpu);
    eval 'sub pci_dac_dma_sync_single_for_device {
        local($dev,$dma_addr,$len,$dir) = @_;
	    eval q( &do {  &mb(); }  &while (0));
    }' unless defined(&pci_dac_dma_sync_single_for_device);
    eval 'sub sg_dma_len {
        local($sg) = @_;
	    eval q((($sg)-> &dma_length));
    }' unless defined(&sg_dma_len);
    eval 'sub sg_dma_address {
        local($sg) = @_;
	    eval q((($sg)-> &dma_address));
    }' unless defined(&sg_dma_address);
    eval 'sub HAVE_PCI_MMAP () {1;}' unless defined(&HAVE_PCI_MMAP);
    eval 'sub PCI_CONTROLLER {
        local($busdev) = @_;
	    eval q((  ($busdev->{sysdata})));
    }' unless defined(&PCI_CONTROLLER);
    eval 'sub pci_domain_nr {
        local($busdev) = @_;
	    eval q(( &PCI_CONTROLLER($busdev)-> &segment));
    }' unless defined(&pci_domain_nr);
    eval 'sub pci_name_bus {
        local($name,$bus) = @_;
	    eval q({  &if ( &pci_domain_nr($bus) == 0) {  &sprintf($name, \\"%02x\\",  ($bus->{number})); }  &else {  &sprintf($name, \\"%04x:%02x\\",  &pci_domain_nr($bus),  ($bus->{number})); } 0; });
    }' unless defined(&pci_name_bus);
    eval 'sub pcibios_add_platform_entries {
        local($dev) = @_;
	    eval q({ });
    }' unless defined(&pcibios_add_platform_entries);
    require 'asm-generic/pci.ph';
}
1;
