require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_ASM_IA64_UNALIGNED_H)) {
    eval 'sub _ASM_IA64_UNALIGNED_H () {1;}' unless defined(&_ASM_IA64_UNALIGNED_H);
    require 'linux/types.ph';
    eval 'sub get_unaligned {
        local($ptr) = @_;
	    eval q((( &__typeof__(*($ptr))) &ia64_get_unaligned(($ptr), $sizeof{($ptr)})));
    }' unless defined(&get_unaligned);
    eval 'sub put_unaligned {
        local($x,$ptr) = @_;
	    eval q( &ia64_put_unaligned(($x), ($ptr), $sizeof{($ptr)}));
    }' unless defined(&put_unaligned);
    eval 'sub __uld8 {
        local($addr) = @_;
	    eval q({  &const \'struct __una_u64\' * &ptr = ( &const \'struct __una_u64\' *) $addr;  ($ptr->{x}); });
    }' unless defined(&__uld8);
    eval 'sub __uld4 {
        local($addr) = @_;
	    eval q({  &const \'struct __una_u32\' * &ptr = ( &const \'struct __una_u32\' *) $addr;  ($ptr->{x}); });
    }' unless defined(&__uld4);
    eval 'sub __uld2 {
        local($addr) = @_;
	    eval q({  &const \'struct __una_u16\' * &ptr = ( &const \'struct __una_u16\' *) $addr;  ($ptr->{x}); });
    }' unless defined(&__uld2);
    eval 'sub __ust8 {
        local($val,$addr) = @_;
	    eval q({ \'struct __una_u64\' * &ptr =  $addr;  ($ptr->{x}) = $val; });
    }' unless defined(&__ust8);
    eval 'sub __ust4 {
        local($val,$addr) = @_;
	    eval q({ \'struct __una_u32\' * &ptr =  $addr;  ($ptr->{x}) = $val; });
    }' unless defined(&__ust4);
    eval 'sub __ust2 {
        local($val,$addr) = @_;
	    eval q({ \'struct __una_u16\' * &ptr =  $addr;  ($ptr->{x}) = $val; });
    }' unless defined(&__ust2);
    eval 'sub ia64_get_unaligned {
        local($_ptr,$size) = @_;
	    eval q(({  &const  &void * &__ia64_ptr = ($_ptr); \'unsigned long __ia64_val\';  &switch ($size) {  &case 1:  &__ia64_val = *( &const \'unsigned char\' *)  &__ia64_ptr;  &break;  &case 2:  &__ia64_val =  &__uld2(( &const \'unsigned short\' *) &__ia64_ptr);  &break;  &case 4:  &__ia64_val =  &__uld4(( &const \'unsigned int\' *) &__ia64_ptr);  &break;  &case 8:  &__ia64_val =  &__uld8(( &const \'unsigned long\' *) &__ia64_ptr);  &break;  &default:  &__ia64_val =  &ia64_bad_unaligned_access_length(); }  &__ia64_val; }));
    }' unless defined(&ia64_get_unaligned);
    eval 'sub ia64_put_unaligned {
        local($_val,$_ptr,$size) = @_;
	    eval q( &do {  &const  &void * &__ia64_ptr = ; \'unsigned long __ia64_val\' = ;  &switch {  &case 1: * &__ia64_ptr = ;  &break;  &case 2:  &__ust2( &__ia64_val,  &__ia64_ptr);  &break;  &case 4:  &__ust4( &__ia64_val,  &__ia64_ptr);  &break;  &case 8:  &__ust8( &__ia64_val,  &__ia64_ptr);  &break;  &default:  &ia64_bad_unaligned_access_length(); } }  &while (0));
    }' unless defined(&ia64_put_unaligned);
}
1;
